<?php
session_start();
// Include the database connection file
require_once '../db_connection.php';

// Query to fetch all products
$sql = "SELECT * FROM products LIMIT 3";
$stmt = $pdo->prepare($sql);
$stmt->execute();
$products = $stmt->fetchAll();









// Handle AJAX requests
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $action = $_POST['action'] ?? '';

    if ($action === 'add_to_cart') {
        $productId = $_POST['id'];
        $productName = $_POST['name'];
        $productPrice = $_POST['price'];
        $productImage = $_POST['image'];

        // Add product as individual item
        $_SESSION['cart'][] = [
            'id' => $productId,
            'name' => $productName,
            'price' => $productPrice,
            'image' => $productImage,
        ];

        $totalItems = count($_SESSION['cart']);
        echo json_encode(['status' => 'success', 'totalItems' => $totalItems]);
        exit;
    }

    if ($action === 'clear_cart') {
        $_SESSION['cart'] = [];
        echo json_encode(['status' => 'success']);
        exit;
    }

    if ($action === 'remove_item') {
        $index = $_POST['index'];
        if (isset($_SESSION['cart'][$index])) {
            unset($_SESSION['cart'][$index]);
            $_SESSION['cart'] = array_values($_SESSION['cart']); // Reindex
        }
        echo json_encode(['status' => 'success']);
        exit;
    }

    if ($action === 'get_cart') {
        echo json_encode($_SESSION['cart'] ?? []);
        exit;
    }
}






?>




<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>E-Commerce Homepage</title>
    <!-- Bootstrap CSS -->
	

<link rel="stylesheet" type="text/css" href="http://localhost/fully_mine_store/css2/style.css">
	
    <link href="http://localhost/fully_mine_store/css2/bootstrap.min.css" rel="stylesheet">
	

	<!-- Owl Carousel CSS -->
<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/owl.carousel.min.css">
<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/owl.theme.default.min.css">


<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/google-fonts-anton-roboto.css">
<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/google-fonts-poppins.css">




<!-- jQuery -->
<script src="http://localhost/fully_mine_store/js/jquery.min.js"></script>

<!-- Owl Carousel JS -->
<script src="http://localhost/fully_mine_store/js/owl.carousel.min.js"></script>


<link href="http://localhost/fully_mine_store/css2/all.min.css" rel="stylesheet">

<link href="http://localhost/fully_mine_store/css2/alpha/bootstrap.min.css" rel="stylesheet">




     <style>
        body {
         font-family: "Anton", serif; /* Use the custom font */
		
        }
		
		p {
   font-size: 1.2rem;
	 
  font-family: "Roboto", serif;
  font-weight: 450;
  text-transform:title-case;
  
 
 
}

.cover h5 {
   font-size: 1rem;
	 
  font-family: "Roboto", serif;
  font-weight: 370;

  
 
 
}


        .navbar {

            transition: top 0.3s;
			  background-color:#4747ff;
        }

        .navbar-hidden {
            top: -70px; /* Adjust based on your navbar height */
        }

        .navbar-brand {
            font-weight:;
        }

        .nav-link {
            font-size: 1rem;
            font-weight: ;
            color: white;
			text-transform:uppercase;
			
        }

        .nav-link:hover {
            color: #007bff;
        }

        .icon-badge {
            position: absolute;
            top: -5px;
            right: -10px;
            background: #dc3545;
            color: white;
            font-size: 0.75rem;
            padding: 2px 6px;
            border-radius: 50%;
        }
		
		
		
			@media (max-width: 767px) {
   .nav-link {
            font-size: 1rem;
            font-weight: bold;
            color: black;
			text-transform:uppercase;
			
        }
		
		#nav_not_to_show {
           display:none;
			
        }
		
		
}

		
		
		.alert-auto-hide {
            position: fixed;
            top: 20px;
            right: 20px;
            z-index: 1055;
            display: none;
        }
		
		
    </style>
	
	 
	
   
</head>
<body>

 
   <div class="alert alert-success alert-dismissible fade show alert-auto-hide" id="notification" role="alert">
            <span id="notificationMessage"></span>
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
 
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-light fixed-top">
        <div class="container mt-2">
		
		  <!-- Toggle Button -->
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
		
		
            <!-- Logo -->
            <a class="navbar-brand mx-auto text-white" href="#"><i class="fa fa-globe me-2"></i>FUSIONXSPACE</a>
			
			 <ul class="navbar-nav me-2 d-md-none">
					<li class="nav-item">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSearch">
                            <iconify-icon icon="tabler:search" class="fs-4"></iconify-icon>
                        </a>
                    </li>
						
			</ul>	

           <ul class="navbar-nav me-2 d-md-none">
					
					
					 <li class="nav-item position-relative">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasCart">
                            <iconify-icon icon="mdi:cart" class="fs-4"></iconify-icon>
                            <span class="icon-badge"></span>
                        </a>
                    </li>
				</ul>	
			

            <!-- Navbar Items -->
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mx-auto">
                    <li class="nav-item me-3"><a class="nav-link" href="http://localhost/fully_mine_store/">Home</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Shop</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">About</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Contact</a></li>
					 <li class="nav-item me-3"><a class="nav-link" href="#">About</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Contact</a></li>
                </ul>
				
				<div class="my_btn d-md-none" >
			<center> <a href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasProfile" class="btn btn-lg mt-4">LOGIN </a></center>
			  </div>
				
				<div id="nav_not_to_show">
				 <!-- Right Icons -->
                <ul class="navbar-nav ms-auto">
                    <!-- Search Icon -->
                    <li class="nav-item">
                        <a class="nav-link">
                            <iconify-icon icon="tabler:search" class="fs-4"></iconify-icon>
                        </a>
                    </li>
                    <!-- Cart Icon -->
                    <li class="nav-item position-relative">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasCart">
                            <iconify-icon icon="mdi:cart" class="fs-4"></iconify-icon>
                            <span class="icon-badge"></span>
                        </a>
                    </li>
                    <!-- Profile Icon -->
                    <li class="nav-item">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasProfile">
                            <iconify-icon icon="healthicons:person" class="fs-4"></iconify-icon>
                        </a>
                    </li>
                </ul>
				</div>
				
				
               
            </div>
        </div>
    </nav>

    <!-- Offcanvas Search -->
    <div class="offcanvas offcanvas-end" id="offcanvasSearch">
        <div class="offcanvas-header">
            <h5>Services</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
		
		
		
       
 <div class="hero5_after">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-12 first-column mt-5" style="margin:1px;">
           
			
			<div class="caption w-80 " >
			 <h1>About Fusionxspace</h1>
            <p class="mt-1 ">“Fusionxspace is a premier Web and Media Agency our mission is to empower businesses and individuals by delivering cutting-edge digital solutions. We specialize in web development, graphic design, animation, branding, and digital marketing to help you connect with your audience, tell your story, and achieve your goals”
</p>

 <a  href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSearch" class="btn btn-outline-light btn-lg mt-1">Explore Services</a>
			
          
			</div>
        </div>
		
		 <div class="col-12 col-md-12 first-columnx mt-5" style="margin:1px;">
           
			
			<div class="caption w-80 " >
			 <h1>About Fusionxspace</h1>
            <p class="mt-1 ">“Fusionxspace is a premier Web and Media Agency our mission is to empower businesses and individuals by delivering cutting-edge digital solutions. We specialize in web development, graphic design, animation, branding, and digital marketing to help you connect with your audience, tell your story, and achieve your goals”
</p>

 <a  href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSearch" class="btn btn-outline-light btn-lg mt-1">Explore Services</a>
			
          
			</div>
        </div>
		
		
		
      <!-- Second Column -->
       
    </div>
	
	</div>
		
		</div>
        </div>
		
		
		
		
		
		
		
		
		
    </div>
	
	
	
	
	
	
	

    <!-- Offcanvas Cart -->
    <div class="offcanvas offcanvas-end" id="offcanvasCart">
        <div class="offcanvas-header">
            <h5>Your Cart</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <ul class="list-group">
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 1</span>
                    <span>$10</span>
                </li>
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 2</span>
                    <span>$15</span>
                </li>
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 3</span>
                    <span>$25</span>
                </li>
            </ul>
            <hr>
            <div class="d-flex justify-content-between">
                <strong>Total: $50</strong>
                <button class="btn btn-primary">Checkout</button>
            </div>
        </div>
    </div>

    <!-- Offcanvas Profile -->
    <div class="offcanvas offcanvas-end" id="offcanvasProfile">
        <div class="offcanvas-header">
            <h5>Profile</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <form>
                <div class="mb-3">
                    <label for="email" class="form-label">Email</label>
                    <input type="email" id="email" class="form-control" placeholder="Enter your email">
                </div>
                <div class="mb-3">
                    <label for="password" class="form-label">Password</label>
                    <input type="password" id="password" class="form-control" placeholder="Enter your password">
                </div>
                <button type="submit" class="btn btn-primary w-100">Login</button>
            </form>
        </div>
    </div>

  
<div class="hero1" style="background-color:#4747ff;">
  <div class="container">
  <br> <br> <br>
    <div class="row">
	
	
      <!-- Text Column -->
      <div class="col-md-6">
	  <div class="cover" style="margin-left:25px;">
        <h1 class="text-white" style="font-size:2.3rem; margin-top:85px;">Why Does Fusionxspace<br> Stands Out?</h1>
        <p class="text-white" style="font-size:0.8rem; font-family: 'Roboto', serif; font-weight: 590; text-transform:title-case;">We've helped hundreds of businesses grow and we can do the same for your business too</p>
		 <a href="http://localhost/fully_mine_store/contact-us" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white; border-radius:0px">CONTACT US <i class="fa fa-right-to-bracket me-2"></i></a>
		 </div>
      </div>
      <!-- Image Column -->
      <div class="col-md-6 mt-5 mb-5">
        <img src="http://localhost/fully_mine_store/images/academy-photo/11.jpg" class="img-fluid" alt="Placeholder Image" style="width:455px;">
      </div>
    </div>
  </div>
   </div>
   
   
   
   
   
   
   
   
   
   
   
  
 <div class="container-fluid" style="background-color:#f2f2f2; width:100%;">
   
        
		<div class="cover mb-5"style=" margin-bottom:5px;">
            <!-- Product Card -->
             
          <div class="row mb-5"style=" margin-bottom:5px;">
			 
			    <div class="col-6 col-md-3 mt-4 "style="border:0px; border-right: 1px solid gray;">
			
				  
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center" style=""><i class="fa fa-store" style="color:#4747ff;"></i> 250+ Businesses</h5>
				 <p class="mt-1 text-center">Over The Years</p>
				
			
				   
					
				</div>
			
			 </div>
			 
			  <div class="col-6 col-md-3 mt-4 "style="border:0px; border-right: 1px solid gray;">
			
				  
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center"><i class="fa fa-shield" style="color:#4747ff;"></i> 6years+</h5>
				 <p class="mt-1 text-center">Of Experience</p>
				
			
				   
					
				</div>
			
			 </div>
			 
			  <div class="col-6 col-md-3 mt-4 "style="border:0px; border-right: 1px solid gray;">
			
				  
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center"><i class="fa fa-laptop" style="color:#4747ff;"></i> 650+ Web/App</h5>
				 <p class="mt-1 text-center">Deliverd</p>
				
			
				   
					
				</div>
			
			 </div>
			 
			  <div class="col-6 col-md-3 mt-4  "style="border:0px; border-right: 1px solid gray;">
			
				  
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center"><i class="fa fa-image" style="color:#4747ff;"></i> 5000+ Graphics</h5>
				 <p class="mt-1 text-center">& Contents Done</p>
				
			
				   
					
				</div>
			
			 </div>
			 
		   </div>
			
			 </div>
			
	
	</div>
	

	 


   
   
   
   
   
   
   
    <div class="hero5_after">
 <div class="container">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-6 first-column mt-1">
			<div class="caption w-100 p-4" style="margin-left:1px;">
			 <h2 class="" style="text-align:left;" >Know <span style="color:#4747ff;">About Us</span></h2>
            <p class="mt-1 " style="text-align:left;">In today’s fast-paced, digital-first world, having a strong online presence is no longer optional — it’s essential. That’s where Fusionxspace steps in as a premier Web and Media Agency dedicated to helping businesses and individuals thrive in the digital landscape. With a focus on innovation and creativity, Fusionxspace is committed to delivering cutting-edge solutions that empower clients to reach their fullest potential.
			</p>
			</div>
        </div>
		
		
		 <div class="col-12 col-md-6 first-column mt-1">
			<div class="caption w-100 p-4" style="margin-left:1px;">
			 <h2 style=" text-align:left;">Mission- <span style="color:#4747ff;">Driven Excellence</span></h2>
            <p class="mt-1 "style="text-align:left;">At the heart of Fusionxspace is a mission to empower businesses and individuals through high-quality, customized digital solutions. By providing expertise in key areas like web development, graphic design, animation, branding, and digital marketing, our agency ensures that each client’s vision is brought to life with precision and excellence.
			</p>
			</div>
        </div>
		
      <!-- Second Column -->
       
    </div>
	
	
	
	
	
	</div>
	
</div>
	 


   
   
   
   
   
   
   
   
   
   
   
   
   
    <div class="hero5_after" style="background-color:#f2f2f2; width:100%;">
 <div class="container">
        <div class="row mb-5" >
            <!-- Product Card -->
              <div class="col-12 mt-4 ">
			  <h2 class="text-center text-black mb-4 mt-5">Our <span style="color:#4747ff;">Services</span></h2>
			 </div>
			 
            <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4">
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center">Web/App Development</h5>
				<p class="mt-1 fs-6  text-center">We build professional websites for business and web applications for both Andriod and IOS.</p>
				</div>
				  
	<div class="my_btn mt-4">
			<center> <a href="http://localhost/fully_mine_store/create-website" class="btn btn-lg mt-1 text-black" style="border:0; font-size:0.9rem; background:transparent;"><span class="dot" >KNOW MORE <i class="fa fa-right-to-bracket me-2"></i></span></a>  </center>
			  </div>
				</div>
			
			 </div>
			 
			  <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4">
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center">Graphics/Animation Design</h5>
				<p class="mt-1 fs-6  text-center">Our graphics work and animation helps bring your brand image and represention to life.</p>
				</div>
				 
			
				  			  
	<div class="my_btn mt-4">
			<center> <a href="http://localhost/fully_mine_store/brand-and-graphics-design" class="btn btn-lg mt-1 text-black" style="border:0; font-size:0.9rem; background:transparent;"><span class="dot" >KNOW MORE <i class="fa fa-right-to-bracket me-2"></i></span></a>  </center>
			  </div>
				</div>
			
			 </div>
			 
			 
			   <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4">
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center">Digital Marketing</h5>
				<p class="mt-1 fs-6  text-center">With our team, we can help your business reach new audience and convert them to actual customers. </p>
				</div>
				
				
				<div class="my_btn mt-4">
			<center> <a href="http://localhost/fully_mine_store/digital-marketing" class="btn btn-lg mt-1 text-black" style="border:0; font-size:0.9rem; background:transparent;"><span class="dot" >KNOW MORE <i class="fa fa-right-to-bracket me-2"></i></span></a>  </center>
			  </div>
				
				   
				</div>
			
			 </div>
			 
			 
			 
			    <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4">
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center">Branding</h5>
				<p class="mt-1 fs-6  text-center">Let's give your business a more standard, unique, and recorgnizable look across all interent platforms. </p>
				</div>
				   
					
					<div class="my_btn mt-4">
			<center> <a href="http://localhost/fully_mine_store/brand-and-graphics-design/" class="btn btn-lg mt-1 text-black" style="border:0; font-size:0.9rem; background:transparent;"><span class="dot" >KNOW MORE <i class="fa fa-right-to-bracket me-2"></i></span></a>  </center>
			  </div>
					
					
				</div>
			
			 </div>
			 
		   
		      <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4">
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center">Scripts And Templates</h5>
				<p class="mt-1 fs-6  text-center">We offer already made website scripts and templates for developers and aspiring developers.</p>
				</div>
				
				
					<div class="my_btn mt-4">
			<center> <a href="http://localhost/fully_mine_store/buy-website-scripts" class="btn btn-lg mt-1 text-black" style="border:0; font-size:0.9rem; background:transparent;"><span class="dot" >KNOW MORE <i class="fa fa-right-to-bracket me-2"></i></span></a>  </center>
			  </div>
					
				</div>
			
			 </div>
		   
            <div class="col-12 col-md-4 mt-4 mb-5 ">
			
				  <div class="card product-card position-relative p-4">
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center">Online Classes</h5>
				<p class="mt-1 fs-6  text-center">You can now gain more knowledge on web design, graphics, animation, branding and more</p>
				</div>
				    
					
					<div class="my_btn mt-4">
			<center> <a href="http://localhost/fully_mine_store/onlineclass" class="btn btn-lg mt-1 text-black" style="border:0; font-size:0.9rem; background:transparent;"><span class="dot" >KNOW MORE <i class="fa fa-right-to-bracket me-2"></i></span></a>  </center>
			  </div>
					
					
			</div>
					
				</div>
			
			 </div>
			
	
	</div>
	
</div>
   
   


<div class="hero7" style="background-color:#4747ff; margin-top:-15px; border-top:1px solid white;">
    <div class="container">
	
	<br><br><br>
	       
	
	
	
	 <h3 class="text-center text-white mb-4 mt-5"> Why Choose Fusionxspace?</h3>
	<p class="mt-1 text-center " id="courses-we-offer">There are many reasons why businesses and individuals have been working with us. Our agency’s blend of creativity, technical expertise, and customer-centric approach makes our work standout in the competitive digital landscape.</p>
			
        <div class="row mb-5">
            <!-- Product Card -->
             
            <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">Tailored Solutions</h5>
				<p class="mt-1 fs-6  text-center">Fusionxspace doesn’t believe in one-size-fits-all solutions. We always take the time to understand each client’s specific needs and goals, ensuring that the digital solutions provided are customized to achieve maximum results.</p>
				</div>
				  

				</div>
			
			 </div>
			 
			  <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">Innovation and Cutting-Edge Tools:</h5>
				<p class="mt-1 fs-6  text-center">As technology evolves, so does every solutions offered by us. Our devoted team is constantly exploring new trends, tools, and technologies to ensure they deliver the most innovative solutions for individuals and businesses.</p>
				</div>
				   
				 
				</div>
			
			 </div>
			 
			 
			   <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">Collaborative Approach</h5>
				<p class="mt-1 fs-6  text-center"> From the initial concept to the final deliverable, We believe in working closely with clients every step of the way. This collaborative approach ensures that clients are always in the loop and have a say in the process.</p>
				</div>
				   
				</div>
			
			 </div>
			 
			 
			 
			    <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">Proven Track Record</h5>
				<p class="mt-1 fs-6  text-center">With a strong portfolio of successful projects and satisfied clients, We has established a reputation as a reliable, high-quality web and digital agency that consistently delivers on its promises to very client.</p>
				</div>
				   
					
				</div>
			
			 </div>
			 
		   
		      <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">Focus on Results</h5>
				<p class="mt-1 fs-6  text-center">Above all, we are driven by results. Our focus is on helping clients not only create beautiful digital assets but also achieve their business goals, whether that’s increasing traffic, boosting sales, or building brand awareness. </p>
				</div>
				   
					
				</div>
			
			 </div>
		   
            <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">Ai Implementation</h5>
				<p class="mt-1 fs-6  text-center">Explore the fascinating field of Artificial Intelligence and learn how to apply machine learning algorithms and AI tools to solve real-world problems .learning algorithms and AI tools to solve real-world problems.</p>
				</div>

			</div>
					
				</div>
			
			 </div>
			
			
			
		
        </div>
		
		<br><br><br><br>
		
    </div>








<div class="hero1" style="background-color:white;">
  <div class="container">
  <br> <br> <br>
    <div class="row">
	
	
      <!-- Text Column -->
      <div class="col-12 col-md-6 first-column mt-1">
			<div class="caption w-100 p-4" style="margin-left:1px;">
			 <h2 class="" style="text-align:left;" >Registration And Location</h2>
            <p class="mt-1 " style="text-align:left;">In today’s fast-paced, digital-first world, having a strong online presence is no longer optional — it’s essential. That’s where Fusionxspace steps in as a premier Web and Media Agency dedicated to helping businesses and individuals thrive in the digital landscape.
			</p>
			</div>
        </div>
      <!-- Image Column -->
      <div class="col-md-6 mb-5">
        <img src="http://localhost/fully_mine_store/images/banner/cac.jpg" class="img-fluid" alt="Placeholder Image" style="width:355px; margin-top:-25px;">
      </div>
    </div>
  </div>
   </div>
   
   <br><br><br>
















 <div class="hero55" style="background-color:black; margin-top:-55px; border-top:2px solid white;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-md-6 first-column mt-5">
          
			
			<div class="caption">
			  <h1 class=" text-white">The More You Learn The More You Earn </h1>
			
            <p class="mt-3 p-2 text-white">
Acquiring new skills enhances your expertise, making you more valuable in the job market. Each course you take unlocks new opportunities and potential for growth in your career.</p>
            <a href="#courses-we-offer" title="our-courses" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">LEARN NOW <i class="fa fa-up-to-bracket me-2"></i></a>
			</div>
        </div>
        <!-- Second Column -->
        <div class="col-md-6 second-column">
            <div class="carousel slide slider-container" data-bs-ride="carousel">
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="http://localhost/fully_mine_store/images/academy-photo/111.jpg" class="d-block w-100 " alt="graphics-academy">
                    </div>
                   
                  
                </div>
              
            </div>
        </div>
    </div>
</div>
</div>









<!-- Product Section -->
<div class="hero4 bg-black">
<marquee scrollamount="35">	<h1 class="text-white mt-2" style="font-size:11rem;">LEARN - EARN</h1></marquee>

 </div> 
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   


<!-- Footer -->
<footer class="footer text-center">
    <div class="container">
        <p>&copy; 2024 Your E-Commerce Site. All rights reserved.</p>
        <p>Follow us on 
            <a href="#" class="text-white">Facebook</a>, 
            <a href="#" class="text-white">Twitter</a>, 
            <a href="#" class="text-white">Instagram</a>.
        </p>
    </div>
</footer>




  <!-- Bootstrap and Iconify -->

    

<script src="http://localhost/fully_mine_store/js/bootstrap.bundle.min.js"></script>


	
	
	
    <script src="https://code.iconify.design/iconify-icon/1.0.7/iconify-icon.min.js"></script>
    <script>
        let prevScrollPos = window.pageYOffset;
        const navbar = document.querySelector('.navbar');

        window.onscroll = () => {
            const currentScrollPos = window.pageYOffset;
            if (prevScrollPos > currentScrollPos) {
                navbar.classList.remove('navbar-hidden');
            } else {
                navbar.classList.add('navbar-hidden');
            }
            prevScrollPos = currentScrollPos;
        };
    </script>



<script>
    $(document).ready(function () {
        $(".owl-carousel").owlCarousel({
            loop: true,
            margin: 10,
            nav: true,
            responsive: {
                0: { items: 1 },
                600: { items: 1 },
                1000: { items: 3 }
            }
        });
    });
</script>


	
	
	  <script>
        // Update Cart Modal Content
        function updateCartModal() {
            $.post('', { action: 'get_cart' }, function (response) {
                const cart = JSON.parse(response);
                let content = '';

                if (cart.length === 0) {
                    content = '<p>Your cart is empty.</p>';
                } else {
                    let totalCost = 0;
                    cart.forEach((item, index) => {
                        totalCost += parseInt(item.price);
                        content += `
                            <div class="d-flex justify-content-between align-items-center mb-2">
                                <div>
                                    <img src="${item.image}" alt="${item.name}" style="width: 50px; height: 50px; margin-right: 10px;">
                                    ${item.name} - ₦${item.price}
                                </div>
                                <button class="btn btn-danger btn-sm remove-item-btn" data-index="${index}">X</button>
                            </div>`;
                    });
                    content += `<hr><h5>Total Cost: ₦${totalCost}</h5>`;
                }

                $('#cartContent').html(content);
            });
        }

        // Add to Cart Button Click
        $('.add-to-cart-btn').on('click', function () {
            const button = $(this);
            const spinner = button.find('.spinner-border');
            spinner.removeClass('d-none');
            button.prop('disabled', true);

            const productData = {
                action: 'add_to_cart',
                id: button.data('id'),
                name: button.data('name'),
                price: button.data('price'),
                image: button.data('image'),
            };

            $.post('', productData, function (response) {
                const data = JSON.parse(response);
                if (data.status === 'success') {
                    $('#cartCount').text(data.totalItems);
                    $('#notificationMessage').text('Product added to cart!');
                    $('#notification').fadeIn().delay(2000).fadeOut();
                    updateCartModal();
                }
            }).always(() => {
                spinner.addClass('d-none');
                button.prop('disabled', false);
            });
        });

        // Clear Cart Button
        $('#clearCartBtn').on('click', function () {
            $.post('', { action: 'clear_cart' }, function () {
                $('#cartCount').text(0);
                $('#notificationMessage').text('Cart cleared!');
                $('#notification').fadeIn().delay(2000).fadeOut();
                updateCartModal();
            });
        });

        // Remove Individual Item
        $(document).on('click', '.remove-item-btn', function () {
            const index = $(this).data('index');
            $.post('', { action: 'remove_item', index: index }, function () {
                $('#notificationMessage').text('Item removed from cart!');
                $('#notification').fadeIn().delay(2000).fadeOut();
                updateCartModal();
                $('#cartCount').text($('#cartContent .remove-item-btn').length - 1);
            });
        });

        // Load Modal Content Initially
        updateCartModal();
    </script>

</body>
</html>
