<?php
session_start();
// Include the database connection file
require_once 'db_connection.php';

// Handle AJAX request for products filtering or loading
if (isset($_POST['action'])) {
    $action = $_POST['action'];
    $limit = 6; // Default limit per page
    $offset = isset($_POST['offset']) ? intval($_POST['offset']) : 0;

    if ($action === 'filter') {
        $category = $_POST['category'] ?? null;

        if ($category) {
            $sql = "SELECT * FROM products WHERE category = :category ORDER BY id DESC LIMIT :offset, :limit";
            $stmt = $pdo->prepare($sql);
            $stmt->bindParam(':category', $category, PDO::PARAM_STR);
        } else {
            $sql = "SELECT * FROM products ORDER BY id DESC LIMIT :offset, :limit";
            $stmt = $pdo->prepare($sql);
        }

        $stmt->bindValue(':offset', $offset, PDO::PARAM_INT);
        $stmt->bindValue(':limit', $limit, PDO::PARAM_INT);
        $stmt->execute();
        $products = $stmt->fetchAll();

        // Return products as HTML
        foreach ($products as $product) {
            echo '<div class="col-md-4 mt-4">
                    <div class="card product-card position-relative">
                        <div class="image-container">
                            <img src="' . htmlspecialchars($product['image']) . '" class="card-img-top" alt="' . htmlspecialchars($product['name']) . '">
                            <div class="overlay">
                                <a href="product_details.php?slug=' . htmlspecialchars($product['slug']) . '" class="btn btn-outline-light me-2">View Details</a>
                                <a href="#" class="btn btn-light"><i class="fas fa-cart-plus"></i></a>
                            </div>
                        </div>
                        <div class="card-body text-center">
                            <h5 class="card-title">' . htmlspecialchars($product['name']) . '</h5>
                            <p class="card-text">N' . number_format($product['price'], 2) . '</p>
                        </div>
                    </div>
                </div>';
        }
        exit;
    }

    if ($action === 'load_more') {
        $sql = "SELECT * FROM products ORDER BY id DESC LIMIT :offset, :limit";
        $stmt = $pdo->prepare($sql);
        $stmt->bindValue(':offset', $offset, PDO::PARAM_INT);
        $stmt->bindValue(':limit', $limit, PDO::PARAM_INT);
        $stmt->execute();
        $products = $stmt->fetchAll(PDO::FETCH_ASSOC);

        foreach ($products as $product) {
            echo '<div class="col-md-4 mt-4">
                    <div class="card product-card position-relative">
                        <div class="image-container">
                            <img src="' . htmlspecialchars($product['image']) . '" class="card-img-top" alt="' . htmlspecialchars($product['name']) . '">
                            <div class="overlay">
                                <a href="product_details.php?slug=' . htmlspecialchars($product['slug']) . '" class="btn btn-outline-light me-2">View Hulk</a>
                                 <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#myModal">
            Launch Modal
        </button>

                            </div>
                        </div>
                        <div class="card-body text-center">
                            <h5 class="card-title">' . htmlspecialchars($product['name']) . '</h5>
                            <p class="card-text"><b>N' . number_format($product['price'], 2) . '</b></p>
                        </div>
                    </div>
                </div>
				
				
				';
        }
        exit;
    }
}

// Regular PHP logic to fetch categories
$sql = "SELECT DISTINCT category FROM products";
$categoryStmt = $pdo->prepare($sql);
$categoryStmt->execute();
$categories = $categoryStmt->fetchAll(PDO::FETCH_COLUMN);
?>



<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>E-Commerce Homepage</title>
    <!-- Bootstrap CSS -->
	
<link rel="stylesheet" type="text/css" href="css2/style.css">
	
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
	
	

	<!-- Owl Carousel CSS -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.theme.default.min.css">


<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Anton&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">


<!-- jQuery -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>

<!-- Owl Carousel JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.0/css/all.min.css" rel="stylesheet">

 <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap">
  


     <style>
        body {
         font-family: "Anton", serif; /* Use the custom font */
        }

        .navbar {

            transition: top 0.3s;
			  background-color:#4747ff;
        }

        .navbar-hidden {
            top: -70px; /* Adjust based on your navbar height */
        }

        .navbar-brand {
            font-weight:;
        }

        .nav-link {
            font-size: 1rem;
            font-weight: ;
            color: white;
			text-transform:uppercase;
			
        }

        .nav-link:hover {
            color: #007bff;
        }

        .icon-badge {
            position: absolute;
            top: -5px;
            right: -10px;
            background: #dc3545;
            color: white;
            font-size: 0.75rem;
            padding: 2px 6px;
            border-radius: 50%;
        }
		
		
		
			@media (max-width: 767px) {
   .nav-link {
            font-size: 1rem;
            font-weight: bold;
            color: black;
			text-transform:uppercase;
			
        }
		
		#nav_not_to_show {
           display:none;
			
        }
		
		
}

		
		
		.alert-auto-hide {
            position: fixed;
            top: 20px;
            right: 20px;
            z-index: 1055;
            display: none;
        }
		
		
    </style>
	
	 
	
   
</head>
<body>

 
   <div class="alert alert-success alert-dismissible fade show alert-auto-hide" id="notification" role="alert">
            <span id="notificationMessage"></span>
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
 
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-light fixed-top">
        <div class="container mt-2">
		
		  <!-- Toggle Button -->
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
		
		
            <!-- Logo -->
            <a class="navbar-brand mx-auto text-white" href="#"><i class="fa fa-globe me-2"></i>FUSIONXSPACE</a>
			
			 <ul class="navbar-nav me-2 d-md-none">
					<li class="nav-item">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSearch">
                            <iconify-icon icon="tabler:search" class="fs-4"></iconify-icon>
                        </a>
                    </li>
						
			</ul>	

           <ul class="navbar-nav me-2 d-md-none">
					
					
					 <li class="nav-item position-relative">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasCart">
                            <iconify-icon icon="mdi:cart" class="fs-4"></iconify-icon>
                            <span class="icon-badge"></span>
                        </a>
                    </li>
				</ul>	
			

            <!-- Navbar Items -->
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mx-auto">
                    <li class="nav-item me-3"><a class="nav-link" href="#">Home</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Shop</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">About</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Contact</a></li>
					 <li class="nav-item me-3"><a class="nav-link" href="#">About</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Contact</a></li>
                </ul>
				
				<div class="my_btn d-md-none" >
			<center> <a href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasProfile" class="btn btn-lg mt-4">LOGIN </a></center>
			  </div>
				
				<div id="nav_not_to_show">
				 <!-- Right Icons -->
                <ul class="navbar-nav ms-auto">
                    <!-- Search Icon -->
                    <li class="nav-item">
                        <a class="nav-link">
                            <iconify-icon icon="tabler:search" class="fs-4"></iconify-icon>
                        </a>
                    </li>
                    <!-- Cart Icon -->
                    <li class="nav-item position-relative">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasCart">
                            <iconify-icon icon="mdi:cart" class="fs-4"></iconify-icon>
                            <span class="icon-badge"></span>
                        </a>
                    </li>
                    <!-- Profile Icon -->
                    <li class="nav-item">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasProfile">
                            <iconify-icon icon="healthicons:person" class="fs-4"></iconify-icon>
                        </a>
                    </li>
                </ul>
				</div>
				
				
               
            </div>
        </div>
    </nav>

    <!-- Offcanvas Search -->
    <div class="offcanvas offcanvas-end" id="offcanvasSearch">
        <div class="offcanvas-header">
            <h5>Services</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
		
		
		
       
 <div class="hero5_after">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-12 first-column mt-5" style="margin:1px;">
           
			
			<div class="caption w-80 " >
			 <h1>About Fusionxspace</h1>
            <p class="mt-1 ">“Fusionxspace is a premier Web and Media Agency our mission is to empower businesses and individuals by delivering cutting-edge digital solutions. We specialize in web development, graphic design, animation, branding, and digital marketing to help you connect with your audience, tell your story, and achieve your goals”
</p>

 <a  href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSearch" class="btn btn-outline-light btn-lg mt-1">Explore Services</a>
			
          
			</div>
        </div>
      <!-- Second Column -->
       
    </div>
	
	</div>
		
		</div>
        </div>
		
		
		
		
		
		
		
		
		
    </div>
	
	
	
	
	
	
	

    <!-- Offcanvas Cart -->
    <div class="offcanvas offcanvas-end" id="offcanvasCart">
        <div class="offcanvas-header">
            <h5>Your Cart</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <ul class="list-group">
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 1</span>
                    <span>$10</span>
                </li>
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 2</span>
                    <span>$15</span>
                </li>
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 3</span>
                    <span>$25</span>
                </li>
            </ul>
            <hr>
            <div class="d-flex justify-content-between">
                <strong>Total: $50</strong>
                <button class="btn btn-primary">Checkout</button>
            </div>
        </div>
    </div>

    <!-- Offcanvas Profile -->
    <div class="offcanvas offcanvas-end" id="offcanvasProfile">
        <div class="offcanvas-header">
            <h5>Profile</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <form>
                <div class="mb-3">
                    <label for="email" class="form-label">Email</label>
                    <input type="email" id="email" class="form-control" placeholder="Enter your email">
                </div>
                <div class="mb-3">
                    <label for="password" class="form-label">Password</label>
                    <input type="password" id="password" class="form-control" placeholder="Enter your password">
                </div>
                <button type="submit" class="btn btn-primary w-100">Login</button>
            </form>
        </div>
    </div>

  



 
 <div class="hero5">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 first-column mt-5">
           
			
			<div class="caption" >
			 <h1 class="text-center">Explore Brand Designs</h1>
            <p class="mt-1 text-center text-white">Below are some of our brand designs - <br>We recommend a premium, unique, design <br>recognizable across all design</p>
			
           <center> <a href="#" class="btn btn-outline-light btn-lg mt-4">Brand Business Now</a></center>
			</div>
        </div>
      <!-- Second Column -->
       
    </div>
</div>
</div>
	 
 







<div class="hero7">
    <div class="container">
	<br><br><br><br>        <h2 class="text-center mb-4">Our Brand Design</h2>
	<p class="mt-1 text-center ">We are easily recognized across all internet rplatforms  </p>
	
    <div class="container mt-5">
        <!-- Button to trigger the modal -->
       
        <!-- Modal -->
        <div class="modal fade" id="myModal" tabindex="-1" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <!-- Modal Header -->
                    <div class="modal-header">
                        <h5 class="modal-title" id="myModalLabel">Modal Title</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <!-- Modal Body -->
                    <div class="modal-body">
                        This is a simple Bootstrap modal. You can add more content here.
                    </div>
                    <!-- Modal Footer -->
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary">Save changes</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Bootstrap JS and Popper.js link (for modal functionality) -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>


	
			
			 <div class="row" id="productGrid">
            
			
			
        </div>
			
			
       <div class="row">
            
			<div class="col-12 text-center">
			<div class="my_btn">
            <button id="loadMore" class="btn btn-lg mt-4">VIEW MORE</button>
			</div>
        </div>
			
			
        </div>
		
    </div>
</div>




<!-- Footer -->
<footer class="footer text-center">
    <div class="container">
        <p>&copy; 2024 Your E-Commerce Site. All rights reserved.</p>
        <p>Follow us on 
            <a href="#" class="text-white">Facebook</a>, 
            <a href="#" class="text-white">Twitter</a>, 
            <a href="#" class="text-white">Instagram</a>.
        </p>
    </div>
</footer>




  <!-- Bootstrap and Iconify -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://code.iconify.design/iconify-icon/1.0.7/iconify-icon.min.js"></script>
    <script>
        let prevScrollPos = window.pageYOffset;
        const navbar = document.querySelector('.navbar');

        window.onscroll = () => {
            const currentScrollPos = window.pageYOffset;
            if (prevScrollPos > currentScrollPos) {
                navbar.classList.remove('navbar-hidden');
            } else {
                navbar.classList.add('navbar-hidden');
            }
            prevScrollPos = currentScrollPos;
        };
    </script>



<script>
    $(document).ready(function () {
        $(".owl-carousel").owlCarousel({
            loop: true,
            margin: 10,
            nav: true,
            responsive: {
                0: { items: 1 },
                600: { items: 1 },
                1000: { items: 3 }
            }
        });
    });
</script>







<script>
$(document).ready(function () {
    let offset = 0; // Initialize offset
    const limit = 6; // Limit per page

    // Load all products initially
    loadProducts();

    // Load products based on selected category
    $('#categoryFilter').change(function () {
        offset = 0; // Reset offset when category changes
        const category = $(this).val();
        $('#productGrid').empty(); // Clear existing products
        loadProducts(category);
    });

    // Load more products
    $('#loadMore').click(function () {
        const category = $('#categoryFilter').val();
        offset += limit; // Increment offset
        loadProducts(category, offset);
    });

    // Load products via AJAX
    function loadProducts(category = '', offset = 0) {
        $.ajax({
            url: 'product_2.php', // The PHP file handling the request
            method: 'POST',
            data: { action: 'filter', category: category, offset: offset },
            success: function (data) {
                $('#productGrid').append(data); // Append new products
            }
        });
    }
});

</script>











	
	
	  <script>
        // Update Cart Modal Content
        function updateCartModal() {
            $.post('', { action: 'get_cart' }, function (response) {
                const cart = JSON.parse(response);
                let content = '';

                if (cart.length === 0) {
                    content = '<p>Your cart is empty.</p>';
                } else {
                    let totalCost = 0;
                    cart.forEach((item, index) => {
                        totalCost += parseInt(item.price);
                        content += `
                            <div class="d-flex justify-content-between align-items-center mb-2">
                                <div>
                                    <img src="${item.image}" alt="${item.name}" style="width: 50px; height: 50px; margin-right: 10px;">
                                    ${item.name} - ₦${item.price}
                                </div>
                                <button class="btn btn-danger btn-sm remove-item-btn" data-index="${index}">X</button>
                            </div>`;
                    });
                    content += `<hr><h5>Total Cost: ₦${totalCost}</h5>`;
                }

                $('#cartContent').html(content);
            });
        }

        // Add to Cart Button Click
        $('.add-to-cart-btn').on('click', function () {
            const button = $(this);
            const spinner = button.find('.spinner-border');
            spinner.removeClass('d-none');
            button.prop('disabled', true);

            const productData = {
                action: 'add_to_cart',
                id: button.data('id'),
                name: button.data('name'),
                price: button.data('price'),
                image: button.data('image'),
            };

            $.post('', productData, function (response) {
                const data = JSON.parse(response);
                if (data.status === 'success') {
                    $('#cartCount').text(data.totalItems);
                    $('#notificationMessage').text('Product added to cart!');
                    $('#notification').fadeIn().delay(2000).fadeOut();
                    updateCartModal();
                }
            }).always(() => {
                spinner.addClass('d-none');
                button.prop('disabled', false);
            });
        });

        // Clear Cart Button
        $('#clearCartBtn').on('click', function () {
            $.post('', { action: 'clear_cart' }, function () {
                $('#cartCount').text(0);
                $('#notificationMessage').text('Cart cleared!');
                $('#notification').fadeIn().delay(2000).fadeOut();
                updateCartModal();
            });
        });

        // Remove Individual Item
        $(document).on('click', '.remove-item-btn', function () {
            const index = $(this).data('index');
            $.post('', { action: 'remove_item', index: index }, function () {
                $('#notificationMessage').text('Item removed from cart!');
                $('#notification').fadeIn().delay(2000).fadeOut();
                updateCartModal();
                $('#cartCount').text($('#cartContent .remove-item-btn').length - 1);
            });
        });

        // Load Modal Content Initially
        updateCartModal();
    </script>

</body>
</html>
