<?php
session_start();
// Include the database connection file
require_once '../db_connection.php';

// Query to fetch all products
$sql = "SELECT * FROM products LIMIT 5";
$stmt = $pdo->prepare($sql);
$stmt->execute();
$products = $stmt->fetchAll();









// Handle AJAX requests
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $action = $_POST['action'] ?? '';

    if ($action === 'add_to_cart') {
        $productId = $_POST['id'];
        $productName = $_POST['name'];
        $productPrice = $_POST['price'];
        $productImage = $_POST['image'];

        // Add product as individual item
        $_SESSION['cart'][] = [
            'id' => $productId,
            'name' => $productName,
            'price' => $productPrice,
            'image' => $productImage,
        ];

        $totalItems = count($_SESSION['cart']);
        echo json_encode(['status' => 'success', 'totalItems' => $totalItems]);
        exit;
    }

    if ($action === 'clear_cart') {
        $_SESSION['cart'] = [];
        echo json_encode(['status' => 'success']);
        exit;
    }

    if ($action === 'remove_item') {
        $index = $_POST['index'];
        if (isset($_SESSION['cart'][$index])) {
            unset($_SESSION['cart'][$index]);
            $_SESSION['cart'] = array_values($_SESSION['cart']); // Reindex
        }
        echo json_encode(['status' => 'success']);
        exit;
    }

    if ($action === 'get_cart') {
        echo json_encode($_SESSION['cart'] ?? []);
        exit;
    }
}






?>




<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>E-Commerce Homepage</title>
    <!-- Bootstrap CSS -->

<link rel="stylesheet" type="text/css" href="http://localhost/fully_mine_store/css2/style.css">
	
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
	
	

	<!-- Owl Carousel CSS -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.theme.default.min.css">


<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Anton&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">


<!-- jQuery -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>

<!-- Owl Carousel JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.0/css/all.min.css" rel="stylesheet">

 <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap">
  


     <style>
        body {
         font-family: "Anton", serif; /* Use the custom font */
		  background-color:#4747ff;
        }

        .navbar {

            transition: top 0.3s;
			  background-color:#4747ff;
			  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        }

        .navbar-hidden {
            top: -70px; /* Adjust based on your navbar height */
				 
        }

        .navbar-brand {
            font-weight:;
        }

        .nav-link {
            font-size: 1rem;
            font-weight: ;
            color: white;
			text-transform:uppercase;
			
        }

        .nav-link:hover {
            color: #007bff;
        }

        .icon-badge {
            position: absolute;
            top: -5px;
            right: -10px;
            background: white;
            color: white;
            font-size: 0.75rem;
            padding: 2px 6px;
            border-radius: 50%;
        }
		
		
		
			@media (max-width: 767px) {
   .nav-link {
            font-size: 1rem;
            font-weight: ;
            color: white;
			text-transform:uppercase;
			
        }
		
		#nav_not_to_show {
           display:none;
			
        }
		
		
}

		
		
		.alert-auto-hide {
            position: fixed;
            top: 20px;
            right: 20px;
            z-index: 1055;
            display: none;
        }
		
		
    </style>
	
	 
	
   
</head>
<body>

 
   <div class="alert alert-success alert-dismissible fade show alert-auto-hide" id="notification" role="alert">
            <span id="notificationMessage"></span>
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
 
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-light fixed-top">
        <div class="container mt-2">
		
		  <!-- Toggle Button -->
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <i class="fa fa-bars text-white" style="font-size:25px;"></i>
            </button>
		
		
            <!-- Logo -->
            <a class="navbar-brand mx-auto text-white" href="#"><i class="fa fa-globe me-2"></i>FUSIONXSPACE</a>
			
			 <ul class="navbar-nav me-2 d-md-none">
					<li class="nav-item">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSearch">
                            <iconify-icon icon="tabler:search" class="fs-4"></iconify-icon>
                        </a>
                    </li>
						
			</ul>	

           <ul class="navbar-nav me-2 d-md-none">
					
					
					 <li class="nav-item position-relative">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasCart">
                            <iconify-icon icon="mdi:cart" class="fs-4"></iconify-icon>
                            <span class="icon-badge"></span>
                        </a>
                    </li>
				</ul>	
			

            <!-- Navbar Items -->
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mx-auto">
                    <li class="nav-item me-3"><a class="nav-link" href="http://localhost/fully_mine_store/">Home</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Shop</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">About</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Contact</a></li>
					 <li class="nav-item me-3"><a class="nav-link" href="#">About</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Contact</a></li>
                </ul>
				
				<div class="my_btn d-md-none" >
			<center> <a href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasProfile" class="btn btn-lg mt-4">LOGIN </a></center>
			  </div>
				
				<div id="nav_not_to_show">
				 <!-- Right Icons -->
                <ul class="navbar-nav ms-auto">
                    <!-- Search Icon -->
                    <li class="nav-item">
                        <a class="nav-link">
                            <iconify-icon icon="tabler:search" class="fs-4"></iconify-icon>
                        </a>
                    </li>
                    <!-- Cart Icon -->
                    <li class="nav-item position-relative">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasCart">
                            <iconify-icon icon="mdi:cart" class="fs-4"></iconify-icon>
                            <span class="icon-badge"></span>
                        </a>
                    </li>
                    <!-- Profile Icon -->
                    <li class="nav-item">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasProfile">
                            <iconify-icon icon="healthicons:person" class="fs-4"></iconify-icon>
                        </a>
                    </li>
                </ul>
				</div>
				
				
               
            </div>
        </div>
    </nav>

    <!-- Offcanvas Search -->
    <div class="offcanvas offcanvas-end" id="offcanvasSearch">
        <div class="offcanvas-header">
            <h5>Services</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
		
		
		
       
 <div class="hero5_after">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-12 first-column mt-5" style="margin:1px;">
           
			
			<div class="caption w-80 " >
			 <h1>About Fusionxspace</h1>
            <p class="mt-1 ">“Fusionxspace is a premier Web and Media Agency our mission is to empower businesses and individuals by delivering cutting-edge digital solutions. We specialize in web development, graphic design, animation, branding, and digital marketing to help you connect with your audience, tell your story, and achieve your goals”
</p>

 <a  href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSearch" class="btn btn-outline-light btn-lg mt-1">Explore Services</a>
			
          
			</div>
        </div>
      <!-- Second Column -->
       
    </div>
	
	</div>
		
		</div>
        </div>
		
		
		
		
		
		
		
		
		
    </div>
	
	
	
	
	
	
	

    <!-- Offcanvas Cart -->
    <div class="offcanvas offcanvas-end" id="offcanvasCart">
        <div class="offcanvas-header">
            <h5>Your Cart</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <ul class="list-group">
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 1</span>
                    <span>$10</span>
                </li>
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 2</span>
                    <span>$15</span>
                </li>
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 3</span>
                    <span>$25</span>
                </li>
            </ul>
            <hr>
            <div class="d-flex justify-content-between">
                <strong>Total: $50</strong>
                <button class="btn btn-primary">Checkout</button>
            </div>
        </div>
    </div>

    <!-- Offcanvas Profile -->
    <div class="offcanvas offcanvas-end" id="offcanvasProfile">
        <div class="offcanvas-header">
            <h5>Profile</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <form>
                <div class="mb-3">
                    <label for="email" class="form-label">Email</label>
                    <input type="email" id="email" class="form-control" placeholder="Enter your email">
                </div>
                <div class="mb-3">
                    <label for="password" class="form-label">Password</label>
                    <input type="password" id="password" class="form-control" placeholder="Enter your password">
                </div>
                <button type="submit" class="btn btn-primary w-100">Login</button>
            </form>
        </div>
    </div>

  







<div class="hero1" style="background-color:#4747ff;">
  <div class="container">
  <br> <br> <br>
    <div class="row">
	
	
      <!-- Text Column -->
      <div class="col-md-6">
	  <div class="cover" style="margin-left:25px;">
        <h1 class="text-white" style="font-size:3.5rem; margin-top:85px;">Best Digital<br>Marketing Agency</h1>
        <p class="text-white" >We can help put your brand in the face of millions. We have the best digital marketing teams in the country</p>
		 <a href="#courses-we-offer" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white; border-radius:0px">OUR COURSES<i class="fa fa-right-to-bracket me-2"></i></a>
		 </div>
      </div>
      <!-- Image Column -->
      <div class="col-md-6 mt-5 mb-5">
        <img src="http://localhost/fully_mine_store/images/banner/marketing3.jpg" class="img-fluid" alt="Placeholder Image" style="width:455px;">
      </div>
    </div>
  </div>
   </div>
   
   




<div class="hero6 " style="background-color:#4747ff; margin-top:1px; margin-bottom:1px; border-top:2px solid white;">
   
    <div class="owl-carousel owl-theme">
      
	
        <div class="item">
                    <h1 class="text-white">Instagram</h1>
        </div>
		
		 <div class="item">
                    <h1 class="text-white">Twitter</h1>
        </div>
      
		 <div class="item">
                    <h1 class="text-white">Tiktok</h1>
        </div>
		
		 <div class="item">
                    <h1 class="text-white">Facebook</h1>
        </div>
		
		
		
        <!-- Add more items as needed -->
    </div>
	
	
</div>





 <div class="hero5 " id="our-branding-and-promo-process" style="background: black; background-attachment:fixed;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-9 first-column mt-5">
           
			
			<div class="caption" >
			
			 <h1 class="text-left">1 - Knowing Your Business</h1>
            <p class="mt-1 text-left text-white">Understanding your business is the foundation of any successful branding process. This involves deep research into your company's goals, products, target audience, values, and market position. We gather insights into your business's strengths, challenges, and opportunities to ensure that the branding strategy aligns with your objectives.</p>
			
          
			</div>
			
			 
			
        </div>
      <!-- Second Column -->
	  
	 <center> <a href="#our-branding-and-promo-process_step2"><i class="fa fa-down-long text-white text-center mt-5 mb-5" style="font-size:5rem;"></i></a> <center>
       
    </div>
</div>
</div>





 <div class="hero5 " style="background-attachment:fixed;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-9 first-column mt-5" id="our-branding-and-promo-process_step2">
           
			
			<div class="caption" >
			
			 <h1 class="text-left">2 - What Works And What Doesn't</h1>
            <p class="mt-1 text-left text-white">We analyze previous efforts to determine what aspects of your current branding and marketing strategies have been successful and which haven’t. By evaluating past campaigns, customer feedback, and competitor performance, we can fine-tune your approach, avoiding ineffective tactics and amplifying the successful ones.</p>
			
          
			</div>
			
			 
			
        </div>
      <!-- Second Column -->
	  
	   <center> <a href="#our-branding-and-promo-process_step3"><i class="fa fa-down-long text-white text-center mt-5 mb-5" style="font-size:5rem;"></i></a> <center>
       
    </div>
</div>
</div>





 <div class="hero5 " style="background: black; background-attachment:fixed;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-9 first-column mt-5" id="our-branding-and-promo-process_step3">
           
			
			<div class="caption" >
			
			 <h1 class="text-left">3 - Creating A Structured Strategy</h1>
            <p class="mt-1 text-left text-white">Based on insights gathered, we develop a clear and structured branding strategy that addresses your unique business needs. This strategy outlines specific objectives, key messages, target audience segments, and the channels to be used for promotion. A strong strategy guides all subsequent branding and marketing efforts.</p>
			
          
			</div>
			
			 
			
        </div>
      <!-- Second Column -->
	  
	   <center> <a href="#our-branding-and-promo-process_step4"><i class="fa fa-down-long text-white text-center mt-5 mb-5" style="font-size:5rem;"></i></a> <center>
       
    </div>
</div>
</div>


	 
	 
	 


 <div class="hero5 " style=" background-attachment:fixed;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-9 first-column mt-5" id="our-branding-and-promo-process_step4">
           
			
			<div class="caption" >
			
			 <h1 class="text-left">4 - Create Your Brand Identity</h1>
            <p class="mt-1 text-left text-white">Your brand identity is more than just a logo; it encompasses the visual and emotional elements that communicate your business's core values and personality. We design a cohesive brand identity, including logos, color schemes, typography, and tone of voice, that resonates with your target audience and differentiates your business from competitors.</p>
			
          
			</div>
			
			 
			
        </div>
      <!-- Second Column -->
	  
	  <center> <a href="#our-branding-and-promo-process_step5"><i class="fa fa-down-long text-white text-center mt-5 mb-5" style="font-size:5rem;"></i></a> <center>
       
    </div>
</div>
</div>


	 
 
 
 
 
 
 

 <div class="hero5 " style="background: black; background-attachment:fixed;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-9 first-column mt-5" id="our-branding-and-promo-process_step5">
           
			
			<div class="caption" >
			
			 <h1 class="text-left">5 - Creating Your Brand Website</h1>
            <p class="mt-1 text-left text-white">A functional and attractive website is critical in today’s digital landscape. If necessary for your business, we design a user-friendly, responsive website that not only represents your brand visually but also delivers seamless user experiences. We ensure that it is optimized for both desktop and mobile, with easy navigation, fast loading times, and clear calls to action.</p>
			
          
			</div>
			
			 
			
        </div>
      <!-- Second Column -->
	  
	   <center> <a href="#our-branding-and-promo-process_step6"><i class="fa fa-down-long text-white text-center mt-5 mb-5" style="font-size:5rem;"></i></a> <center>
       
    </div>
</div>
</div>





 <div class="hero5 " style=" background-attachment:fixed;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-9 first-column mt-5" id="our-branding-and-promo-process_step6">
           
			
			<div class="caption" >
			
			 <h1 class="text-left">6 - Reviewing Strategy Before Excution</h1>
            <p class="mt-1 text-left text-white">Before launching your branding and marketing initiatives, we thoroughly review the strategy to ensure every aspect is aligned with your business goals. This includes revisiting the messaging, assessing the target audience, and evaluating the proposed marketing channels. Feedback is incorporated to make final adjustments for optimal performance.</p>
			
          
			</div>
			
			 
			
        </div>
      <!-- Second Column -->
	  
	   <center> <a href="#our-branding-and-promo-process_step7"><i class="fa fa-down-long text-white text-center mt-5 mb-5" style="font-size:5rem;"></i></a> <center>
       
    </div>
</div>
</div>





 <div class="hero5 " style="background: black; background-attachment:fixed;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-9 first-column mt-5" id="our-branding-and-promo-process_step7">
           
			
			<div class="caption" >
			
			 <h1 class="text-left">7 - Execution : Promo And Ads Campaign</h1>
            <p class="mt-1 text-left text-white">With a finalized strategy, we execute the promotional and advertising campaigns. This phase involves leveraging various digital and traditional marketing channels such as social media, search engine marketing, email marketing, and paid ads. We ensure that each campaign is aligned with your brand message and reaches the right audience.</p>
			
          
			</div>
			
			 
			
        </div>
      <!-- Second Column -->
	  
	  <center> <a href="#our-branding-and-promo-process_step8"><i class="fa fa-down-long text-white text-center mt-5 mb-5" style="font-size:5rem;"></i></a> <center>
       
    </div>
</div>
</div>




 <div class="hero5 " style=" background-attachment:fixed;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-9 first-column mt-5" id="our-branding-and-promo-process_step8">
           
			
			<div class="caption" >
			
			 <h1 class="text-left">8 - Analyzing Results  </h1>
            <p class="mt-1 text-left text-white">After execution, we track and measure the effectiveness of the campaigns. Using analytics tools, we assess key metrics such as engagement, conversion rates, website traffic, and ROI. Based on these insights, we provide actionable recommendations to optimize future campaigns and continuously improve your brand’s performance.</p>
			
          
			</div>
			
			 
			
        </div>
      <!-- Second Column -->
	  
	  <i class="fa fa-down-long text-white text-center mt-5 mb-5" style="font-size:5rem;"></i>
	  
	    <center> <a href="http://localhost/fully_mine_store/contact-us" class="btn btn-outline-light btn-lg mt-4 mb-5 " style="border-radius: 0px;">CONTACT US <i class="fa fa-right-to-bracket me-2"></i></a> <a href="http://localhost/fully_mine_store/brand-and-graphics-design" class="btn btn-outline-light btn-lg mt-4 mb-5" style="border-radius: 0px;">VIEW DESIGNS <i class="fa fa-right-to-bracket me-2"></i></a></center>
			<center> </center>
			
			
			</div>
       
    </div>
</div>
</div>







<!-- Footer -->
<footer class="footer text-center">
    <div class="container">
        <p>&copy; 2024 Your E-Commerce Site. All rights reserved.</p>
        <p>Follow us on 
            <a href="#" class="text-white">Facebook</a>, 
            <a href="#" class="text-white">Twitter</a>, 
            <a href="#" class="text-white">Instagram</a>.
        </p>
    </div>
</footer>




  <!-- Bootstrap and Iconify -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://code.iconify.design/iconify-icon/1.0.7/iconify-icon.min.js"></script>
    <script>
        let prevScrollPos = window.pageYOffset;
        const navbar = document.querySelector('.navbar');

        window.onscroll = () => {
            const currentScrollPos = window.pageYOffset;
            if (prevScrollPos > currentScrollPos) {
                navbar.classList.remove('navbar-hidden');
            } else {
                navbar.classList.add('navbar-hidden');
            }
            prevScrollPos = currentScrollPos;
        };
    </script>



<script>
    $(document).ready(function () {
        $(".owl-carousel").owlCarousel({
            loop: true,
            margin: 10,
            nav: true,
            responsive: {
                0: { items: 1 },
                600: { items: 1 },
                1000: { items: 3 }
            }
        });
    });
</script>


	
	
	  <script>
        // Update Cart Modal Content
        function updateCartModal() {
            $.post('', { action: 'get_cart' }, function (response) {
                const cart = JSON.parse(response);
                let content = '';

                if (cart.length === 0) {
                    content = '<p>Your cart is empty.</p>';
                } else {
                    let totalCost = 0;
                    cart.forEach((item, index) => {
                        totalCost += parseInt(item.price);
                        content += `
                            <div class="d-flex justify-content-between align-items-center mb-2">
                                <div>
                                    <img src="${item.image}" alt="${item.name}" style="width: 50px; height: 50px; margin-right: 10px;">
                                    ${item.name} - ₦${item.price}
                                </div>
                                <button class="btn btn-danger btn-sm remove-item-btn" data-index="${index}">X</button>
                            </div>`;
                    });
                    content += `<hr><h5>Total Cost: ₦${totalCost}</h5>`;
                }

                $('#cartContent').html(content);
            });
        }

        // Add to Cart Button Click
        $('.add-to-cart-btn').on('click', function () {
            const button = $(this);
            const spinner = button.find('.spinner-border');
            spinner.removeClass('d-none');
            button.prop('disabled', true);

            const productData = {
                action: 'add_to_cart',
                id: button.data('id'),
                name: button.data('name'),
                price: button.data('price'),
                image: button.data('image'),
            };

            $.post('', productData, function (response) {
                const data = JSON.parse(response);
                if (data.status === 'success') {
                    $('#cartCount').text(data.totalItems);
                    $('#notificationMessage').text('Product added to cart!');
                    $('#notification').fadeIn().delay(2000).fadeOut();
                    updateCartModal();
                }
            }).always(() => {
                spinner.addClass('d-none');
                button.prop('disabled', false);
            });
        });

        // Clear Cart Button
        $('#clearCartBtn').on('click', function () {
            $.post('', { action: 'clear_cart' }, function () {
                $('#cartCount').text(0);
                $('#notificationMessage').text('Cart cleared!');
                $('#notification').fadeIn().delay(2000).fadeOut();
                updateCartModal();
            });
        });

        // Remove Individual Item
        $(document).on('click', '.remove-item-btn', function () {
            const index = $(this).data('index');
            $.post('', { action: 'remove_item', index: index }, function () {
                $('#notificationMessage').text('Item removed from cart!');
                $('#notification').fadeIn().delay(2000).fadeOut();
                updateCartModal();
                $('#cartCount').text($('#cartContent .remove-item-btn').length - 1);
            });
        });

        // Load Modal Content Initially
        updateCartModal();
    </script>

</body>
</html>
