<?php
// Include the database connection file
require_once 'db_connection.php';

// Get parameters from the AJAX request
$selectedCategory = isset($_POST['category']) ? $_POST['category'] : null;
$offset = isset($_POST['offset']) ? (int)$_POST['offset'] : 0;
$limit = 6; // Number of products to load at a time

// Query to fetch products
if ($selectedCategory) {
    $sql = "SELECT * FROM products WHERE category = :category LIMIT :offset, :limit";
    $stmt = $pdo->prepare($sql);
    $stmt->bindParam(':category', $selectedCategory, PDO::PARAM_STR);
} else {
    $sql = "SELECT * FROM products LIMIT :offset, :limit";
    $stmt = $pdo->prepare($sql);
}

$stmt->bindValue(':offset', $offset, PDO::PARAM_INT);
$stmt->bindValue(':limit', $limit, PDO::PARAM_INT);
$stmt->execute();
$products = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Return products as JSON
echo json_encode($products);
?>
