<?php
session_start();
// Include the database connection file
require_once 'db_connection.php';

// Query to fetch all products
$sql = "SELECT * FROM products LIMIT 3";
$stmt = $pdo->prepare($sql);
$stmt->execute();
$products = $stmt->fetchAll();









// Handle AJAX requests
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $action = $_POST['action'] ?? '';

    if ($action === 'add_to_cart') {
        $productId = $_POST['id'];
        $productName = $_POST['name'];
        $productPrice = $_POST['price'];
        $productImage = $_POST['image'];

        // Add product as individual item
        $_SESSION['cart'][] = [
            'id' => $productId,
            'name' => $productName,
            'price' => $productPrice,
            'image' => $productImage,
        ];

        $totalItems = count($_SESSION['cart']);
        echo json_encode(['status' => 'success', 'totalItems' => $totalItems]);
        exit;
    }

    if ($action === 'clear_cart') {
        $_SESSION['cart'] = [];
        echo json_encode(['status' => 'success']);
        exit;
    }

    if ($action === 'remove_item') {
        $index = $_POST['index'];
        if (isset($_SESSION['cart'][$index])) {
            unset($_SESSION['cart'][$index]);
            $_SESSION['cart'] = array_values($_SESSION['cart']); // Reindex
        }
        echo json_encode(['status' => 'success']);
        exit;
    }

    if ($action === 'get_cart') {
        echo json_encode($_SESSION['cart'] ?? []);
        exit;
    }
}






?>




<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>E-Commerce Homepage</title>
    <!-- Bootstrap CSS -->
	

<link rel="stylesheet" type="text/css" href="http://localhost/fully_mine_store/css2/style.css">
	
    <link href="http://localhost/fully_mine_store/css2/bootstrap.min.css" rel="stylesheet">
	

	<!-- Owl Carousel CSS -->
<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/owl.carousel.min.css">
<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/owl.theme.default.min.css">


<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/google-fonts-anton-roboto.css">
<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/google-fonts-poppins.css">




<!-- jQuery -->
<script src="http://localhost/fully_mine_store/js/jquery.min.js"></script>

<!-- Owl Carousel JS -->
<script src="http://localhost/fully_mine_store/js/owl.carousel.min.js"></script>


<link href="http://localhost/fully_mine_store/css2/all.min.css" rel="stylesheet">

<link href="http://localhost/fully_mine_store/css2/alpha/bootstrap.min.css" rel="stylesheet">




     <style>
        body {
         font-family: "Anton", serif; /* Use the custom font */
		
        }
		
		p {
   font-size: 1.2rem;
	 
  font-family: "Roboto", serif;
  font-weight: 350;
  text-transform:title-case;
  
 
 
}


        .navbar {

            transition: top 0.3s;
			  background-color:black;
        }

        .navbar-hidden {
            top: -70px; /* Adjust based on your navbar height */
        }

        .navbar-brand {
            font-weight:;
        }

        .nav-link {
            font-size: 1rem;
            font-weight: ;
            color: white;
			text-transform:uppercase;
			
        }

        .nav-link:hover {
            color: #007bff;
        }

        .icon-badge {
            position: absolute;
            top: -5px;
            right: -10px;
            background: #dc3545;
            color: white;
            font-size: 0.75rem;
            padding: 2px 6px;
            border-radius: 50%;
        }
		
		
		
			@media (max-width: 767px) {
   .nav-link {
            font-size: 1rem;
            font-weight: bold;
            color: white;
			text-transform:uppercase;
			
        }
		
		#nav_not_to_show {
           display:none;
			
        }
		
		
}

		
		
		.alert-auto-hide {
            position: fixed;
            top: 20px;
            right: 20px;
            z-index: 1055;
            display: none;
        }
		
		
    </style>
	
	 
	
   
</head>
<body>

 
   <div class="alert alert-success alert-dismissible fade show alert-auto-hide" id="notification" role="alert">
            <span id="notificationMessage"></span>
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
 
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-light fixed-top">
        <div class="container mt-2">
		
		  <!-- Toggle Button -->
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
		
		
            <!-- Logo -->
            <a class="navbar-brand mx-auto text-white" href="#"><i class="fa fa-globe me-2"></i>FUSIONXSPACE</a>
			
			 <ul class="navbar-nav me-2 d-md-none">
					<li class="nav-item">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSearch">
                            <iconify-icon icon="tabler:search" class="fs-4"></iconify-icon>
                        </a>
                    </li>
						
			</ul>	

           <ul class="navbar-nav me-2 d-md-none">
					
					
					 <li class="nav-item position-relative">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasCart">
                            <iconify-icon icon="mdi:cart" class="fs-4"></iconify-icon>
                            <span class="icon-badge"></span>
                        </a>
                    </li>
				</ul>	
			

            <!-- Navbar Items -->
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mx-auto">
                    <li class="nav-item me-3"><a class="nav-link" href="http://localhost/fully_mine_store/">Home</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Shop</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">About</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Contact</a></li>
					 <li class="nav-item me-3"><a class="nav-link" href="#">About</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Contact</a></li>
                </ul>
				
				<div class="my_btn d-md-none" >
			<center> <a href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasProfile" class="btn btn-lg mt-4">LOGIN </a></center>
			  </div>
				
				<div id="nav_not_to_show">
				 <!-- Right Icons -->
                <ul class="navbar-nav ms-auto">
                    <!-- Search Icon -->
                    <li class="nav-item">
                        <a class="nav-link">
                            <iconify-icon icon="tabler:search" class="fs-4"></iconify-icon>
                        </a>
                    </li>
                    <!-- Cart Icon -->
                    <li class="nav-item position-relative">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasCart">
                            <iconify-icon icon="mdi:cart" class="fs-4"></iconify-icon>
                            <span class="icon-badge"></span>
                        </a>
                    </li>
                    <!-- Profile Icon -->
                    <li class="nav-item">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasProfile">
                            <iconify-icon icon="healthicons:person" class="fs-4"></iconify-icon>
                        </a>
                    </li>
                </ul>
				</div>
				
				
               
            </div>
        </div>
    </nav>

    <!-- Offcanvas Search -->
    <div class="offcanvas offcanvas-end" id="offcanvasSearch">
        <div class="offcanvas-header">
            <h5>Services</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
		
		
		
       
 <div class="hero5_after">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-12 first-column mt-5" style="margin:1px;">
           
			
			<div class="caption w-80 " >
			 <h1>About Fusionxspace</h1>
            <p class="mt-1 ">“Fusionxspace is a premier Web and Media Agency our mission is to empower businesses and individuals by delivering cutting-edge digital solutions. We specialize in web development, graphic design, animation, branding, and digital marketing to help you connect with your audience, tell your story, and achieve your goals”
</p>

 <a  href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSearch" class="btn btn-outline-light btn-lg mt-1">Explore Services</a>
			
          
			</div>
        </div>
      <!-- Second Column -->
       
    </div>
	
	</div>
		
		</div>
        </div>
		
		
		
		
		
		
		
		
		
    </div>
	
	
	
	
	
	
	

    <!-- Offcanvas Cart -->
    <div class="offcanvas offcanvas-end" id="offcanvasCart">
        <div class="offcanvas-header">
            <h5>Your Cart</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <ul class="list-group">
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 1</span>
                    <span>$10</span>
                </li>
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 2</span>
                    <span>$15</span>
                </li>
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 3</span>
                    <span>$25</span>
                </li>
            </ul>
            <hr>
            <div class="d-flex justify-content-between">
                <strong>Total: $50</strong>
                <button class="btn btn-primary">Checkout</button>
            </div>
        </div>
    </div>

    <!-- Offcanvas Profile -->
    <div class="offcanvas offcanvas-end" id="offcanvasProfile">
        <div class="offcanvas-header">
            <h5>Profile</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <form>
                <div class="mb-3">
                    <label for="email" class="form-label">Email</label>
                    <input type="email" id="email" class="form-control" placeholder="Enter your email">
                </div>
                <div class="mb-3">
                    <label for="password" class="form-label">Password</label>
                    <input type="password" id="password" class="form-control" placeholder="Enter your password">
                </div>
                <button type="submit" class="btn btn-primary w-100">Login</button>
            </form>
        </div>
    </div>

  
<div class="hero1" style="background-color:black;">
  <div class="container">
  <br> <br> <br>
    <div class="row">
	
	
      <!-- Text Column -->
      <div class="col-md-6">
	  <div class="cover" style="margin-left:25px;">
        <h1 class="text-white" style="font-size:3.2rem; margin-top:85px;">Learn Web With<br> Your Personal Tutor</h1>
        <p class="text-white" >Gain in-demand skills in Website Development, Graphics Design, Digital Marketing, Data Analysis, and Business Branding!</p>
		 <a href="#our-price-list" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white; border-radius:0px">REGISTER <i class="fa fa-right-to-bracket me-2"></i></a>
		 </div>
      </div>
      <!-- Image Column -->
      <div class="col-md-6 mt-5 mb-5">
        <img src="http://localhost/fully_mine_store/images/academy-photo/website-academy.png" class="img-fluid" alt="Placeholder Image" style="width:455px;">
      </div>
    </div>
  </div>
   </div>
   
   
   
   
   
   
   
   
    <div class="hero5_after">
 <div class="container">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 first-column mt-5">
           
			
			<div class="caption w-80 " >
			 <h1>Why Learn Website Development?</h1>
            <p class="mt-1 ">Learning website development offers lucrative career opportunities, with high demand for skilled developers across industries. It opens doors to well-paying jobs and freelance work, providing financial growth potential. Mastering this skill enables you to create profitable digital projects or work with global clients.
</p>


          
			</div>
        </div>
      <!-- Second Column -->
       
    </div>
	
	
	
	
		
        <div class="row mb-5">
            <!-- Product Card -->
             
            <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4">
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center">Front End</h5>
				<p class="mt-1 fs-6  text-center">We teach how to design and build visually stunning and interactive websites using modern tools like Html, Css, Bootstrap, React, Vue.js, and Tailwind CSS.</p>
				</div>
				  

				</div>
			
			 </div>
			 
			  <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4">
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center">Back End</h5>
				<p class="mt-1 fs-6  text-center">Our backend development training focuses on creating powerful server-side applications with tools such as Php, Node.js, Express, and Django.</p>
				</div>
				 
				  
				</div>
			
			 </div>
			 
			 
			   <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4">
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center">Full Stack</h5>
				<p class="mt-1 fs-6  text-center">  Our Full Stack course equips you with the skills to build end-to-end applications using both front-end tools and back-end frameworks to create a standard and secure website</p>
				</div>
				   
				</div>
			
			 </div>
			 
			 
			 
			    <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4">
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center">Web Applications</h5>
				<p class="mt-1 fs-6  text-center">Learn to create dynamic and scalable web applications for both Andriod and IOS. We'll make the learning process simple, entertaining and fully comprehensive </p>
				</div>
				   
					
				</div>
			
			 </div>
			 
		   
		      <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4">
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center">Content Management Systems (CMS)</h5>
				<p class="mt-1 fs-6  text-center">let's teach you how to use popular CMS like WordPress, Drupal, Joomla and many more- These platform helps you create websites with very little or no coding knowledge</p>
				</div>
				  
					
				</div>
			
			 </div>
		   
            <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4">
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center">Scripts Editing & Hosting</h5>
				<p class="mt-1 fs-6  text-center">We can teach you how to edit and host scripts that you download from our platforms to make it look a lot more personalized and suit your preference.</p>
				</div>
				    
			</div>
					
				</div>
			
			 </div>
			
	
	
	
	
	
	
	
	
	
	
	</div>
	
</div>
	 


   
   
   
   
   
   
   
   
   
   
   
<!-- Product Section -->
<div class="hero4" style="background-color:#4747ff;">
<marquee scrollamount="35">	<h1 class="text-white mt-2" style="font-size:11rem;">WEBSITE CLASS</h1></marquee>

 </div>  

   
   
   
   

<div class="hero7" style="background-color:#4747ff;  border-top:1px solid white;">
    <div class="container">
	
	<br><br><br>
	        <h2 class="text-center mb-4">Our Price List </h2>
	<p class="mt-1 text-center " id="our-price-list">Below is how much we charge for over various website development classes</p>
			
        <div class="row mb-5">
            <!-- Product Card -->
           <div class="owl-carousel owl-theme">
     
        <div class="item">  
            <div class="col-12 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h1 class="text-white text-center">N50,000</h1>
				 <p class="mt-1 fs-6  text-center"><strong>Per Month</strong></p>
				<p class="mt-1 fs-6  text-center">Register for a monthly class with a personal tutor </p>
				
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> Personal Tutor</strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> 1year Scheme </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> Monthly Video Pack </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Website </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Hosting </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Template </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Script</strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Andriod App </strong></p>
				
				</div>
				   
				   <center> <a href="http://localhost/onlineclass/learn-website-development" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">Register Now <i class="fa fa-right-to-bracket me-2"></i></a> </center>

				</div>
			
			 </div>
		 </div> 
		 
		 
		  <div class="item">  
			  <div class="col-12 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h1 class="text-white text-center">N300,000</h1>
				  <p class="mt-1 fs-6  text-center"><strong>6months Front End Class</strong></p>
				<p class="mt-1 fs-6  text-center">Learn front end development with ease with your personal tutor</p>
				
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> Personal Tutor</strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> 1year Scheme </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> Monthly Video Pack </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Website </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Hosting </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Template </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Script</strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Andriod App </strong></p>
				
				</div>
				
				   
				  <center> <a href="http://localhost/onlineclass/learn-website-development" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">Register Now <i class="fa fa-right-to-bracket me-2"></i></a> </center>
				</div>
			
			 </div>
		</div> 
		
		
		  <div class="item">  
			  <div class="col-12 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h1 class="text-white text-center">N350,000</h1>
				  <p class="mt-1 fs-6  text-center"><strong>6months Backend End Class</strong></p>
				<p class="mt-1 fs-6  text-center">Learn full back end development with best server side lauguages </p>
				
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> Personal Tutor</strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> 1year Scheme </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> Monthly Video Pack </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Website </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Hosting </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Template </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Script </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Andriod App </strong></p>
				
				</div>
				
				   
				  <center> <a href="http://localhost/onlineclass/learn-website-development" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">Register Now <i class="fa fa-right-to-bracket me-2"></i></a> </center>
				</div>
			
			 </div>
		</div> 
		
		
		
		
		  <div class="item">  
			  <div class="col-12 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h1 class="text-white text-center">N500,000</h1>
				  <p class="mt-1 fs-6  text-center"><strong>1year Full Stack Class</strong></p>
				<p class="mt-1 fs-6  text-center">Register for a complete one year class with full previlages</p>
				
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> Personal Tutor</strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> 1year Scheme </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> Monthly Video Pack </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Website </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Hosting </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Template </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Script </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Andriod App </strong></p>
				
				</div>
				
				   
				  <center> <a href="http://localhost/onlineclass/learn-website-development" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">Register Now <i class="fa fa-right-to-bracket me-2"></i></a> </center>
				</div>
			
			 </div>
		</div> 
		
		
		
		  <div class="item">  
			  <div class="col-12 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h1 class="text-white text-center">N1,000,000</h1>
				  <p class="mt-1 fs-6  text-center"><strong>1year Web Application Class</strong></p>
				<p class="mt-1 fs-6  text-center">Learn how to build web applications for Andriod and IOS</p>
				
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> Personal Tutor</strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> 1year Scheme </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> Monthly Video Pack </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Website </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Hosting </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Template </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Script </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Adriod App </strong></p>
				
				</div>
				
				   
				  <center> <a href="http://localhost/onlineclass/learn-website-development" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">Register Now <i class="fa fa-right-to-bracket me-2"></i></a> </center>
				</div>
			
			 </div>
		</div> 
		
		
		
		
		  <div class="item">  
			  <div class="col-12 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h1 class="text-white text-center">N300,000</h1>
				  <p class="mt-1 fs-6  text-center"><strong>6months CMS Class</strong></p>
				<p class="mt-1 fs-6  text-center">Learn how to design full functional websites with little or no coding knowledge</p>
				
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> Personal Tutor</strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> 1year Scheme </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> Monthly Video Pack </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Website </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Hosting </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Template </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check  " style="font-size:; color:white"></i> Free Script </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Andriod App </strong></p>
				
				</div>
				
				   
				  <center> <a href="http://localhost/onlineclass/learn-website-development" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">Register Now <i class="fa fa-right-to-bracket me-2"></i></a> </center>
				</div>
			
			 </div>
		</div> 
		
		
		
		
		
			 
			
		 <div class="item">  
			<div class="col-12  mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				  <h1 class="text-white text-center">N100,000</h1>
				   <p class="mt-1 fs-6  text-center"><strong>1 Month Special Class</strong></p>
				<p class="mt-1 fs-6  text-center">Learn how to host and edit bought website scripts </p>
				
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-check text-white " style="font-size:;"></i> Personal Tutor</strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> 1year Scheme </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Monthly Video Pack </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Website </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Hosting </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Template </strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Script</strong></p>
				<p class="mt-1 fs-6  text-center"><strong><i class="fa fa-times  " style="font-size:; color:darkred"></i> Free Andriod App </strong></p>
				
				</div>
				   
				 <center> <a href="http://localhost/onlineclass/learn-website-development" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">Register Now <i class="fa fa-right-to-bracket me-2"></i></a> </center>
				</div>
			
			 </div>
			 
			</div> 
			
			
			
			
			
			
			
			
			
		</div> 
			 
			
			 </div>
			
			
			
		
        </div>
		
		<br><br><br><br>
		
    </div>
</div>






 


<div class="hero6 p-4" style="margin-top:-45px;">
    <h1 class="mt-4">Let's Create A Custom Website</h1>
	<div class="col-12 col-md-8" style="margin:auto"> <p class="mt-1 text-center text-dark ">We create offers tailored website development services, ensuring your online presence stands out with a design that matches your vision and goals. From front-end design to back-end functionality and seamless deployment, we use the latest tools and technologies to create a fully customized, responsive website for your business or personal brand.
	</div>
</p>
    <div class="owl-carousel owl-theme">
       <?php if ($products): ?>
            <?php foreach ($products as $product): ?>
	
        <div class="item">
            <div class="product-card position-relative">
                <div class="image-container">
                    <img src="http://localhost/fully_mine_store/<?php echo htmlspecialchars($product['image']); ?>" alt="<?php echo htmlspecialchars($product['name']); ?>">
                    <div class="overlay">
                        <a href="product_details.php?slug=<?php echo htmlspecialchars($product['slug']); ?>" class="btn btn-outline-light d-none d-md-inline">View Details</a>
                        <a href="#" class="btn btn-light d-md-none">
                            <i class="fas fa-eye d-md-none"></i>
                        </a>
						
						
						  <button class="btn btn-primary add-to-cart-btn" 
                            data-id="<?php echo htmlspecialchars($product['id']); ?>" 
                            data-name="<?php echo htmlspecialchars($product['name']); ?>" 
                            data-price="<?php echo htmlspecialchars($product['price']); ?>" 
                            data-image="<?php echo htmlspecialchars($product['image']); ?>">
                            <span class="spinner-border spinner-border-sm d-none" role="status" aria-hidden="true"></span>
                            Add to Cart
                        </button>
						
						
						
						
                        <a href="#" class="btn btn-light">
                            <i class="fas fa-cart-plus"></i>
                        </a>
                    </div>
                </div>
               
            </div>
        </div>
      
		
		   <?php endforeach; ?>
        <?php else: ?>
            <p class="col-12 text-center">No products available.</p>
        <?php endif; ?>
			
		
        <!-- Add more items as needed -->
    </div>
	
	<div class="my_btn mt-4">
			<center> <a href="http://localhost/fully_mine_store/create-website" class="btn btn-lg mt-1"><span class="dot" >CREATE WEBSITE <i class="fa fa-right-to-bracket me-2"></i></span></a> </center>
			  </div>
</div>








<div class="hero7 bg-white">
    <div class="container">
	<br><br><br><br>        <h1 class="text-center mb-4 text-black" style="font-size:3rem; font-weight:400;">Buy Already Made<br>Website Scripts </h1>
	<p class="mt-1 text-center  text-black">We offer already made website scripts for different types of website.</p>
			
        <div class="row">
            <!-- Product Card -->
           
            <div class="col-12 col-md-4 mt-4">
                <div class="card product-card position-relative">
                    <div id="imageSlider1" class="carousel slide slider-container" data-bs-ride="carousel">
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="http://localhost/fully_mine_store/web_shot/slide3.jpg" class="d-block w-100 " alt="Slide 1">
                    </div>
                    <div class="carousel-item">
                        <img src="http://localhost/fully_mine_store/web_shot/slide4.jpg" class="d-block w-100 " alt="Slide 2">
                    </div>
                   
                </div>
				
				<button class="carousel-control-prev" type="button" data-bs-target="#imageSlider1" data-bs-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Previous</span>
                </button>
                <button class="carousel-control-next" type="button" data-bs-target="#imageSlider1" data-bs-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Next</span>
                </button>
              
            </div>
                    <div class="card-body text-center">
                        <h5 class="card-title  text-black">Xprimedex- Crypto Script</h5>
                        <center> <a href="http://localhost/fully_mine_store/buy-website-scripts/hulk" class="btn btn-lg mt-2" style="background-color:black; color;white;">BUY NOW N50,000  <i class="fa fa-down-to-bracket me-2"></i></a></a></center>
			
                    </div>
                </div>
            </div>
			
			
			
			 <div class="col-12 col-md-4 mt-4">
                <div class="card product-card position-relative">
                    <div id="imageSlider11" class="carousel slide slider-container" data-bs-ride="carousel">
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="http://localhost/fully_mine_store/web_shot/slide7.jpg" class="d-block w-100 " alt="Slide 1">
                    </div>
                    <div class="carousel-item">
                        <img src="http://localhost/fully_mine_store/web_shot/slide8.jpg" class="d-block w-100 " alt="Slide 2">
                    </div>
                   
                </div>
				
				<button class="carousel-control-prev" type="button" data-bs-target="#imageSlider11" data-bs-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Previous</span>
                </button>
                <button class="carousel-control-next" type="button" data-bs-target="#imageSlider11" data-bs-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Next</span>
                </button>
              
            </div>
                     <div class="card-body text-center">
                        <h5 class="card-title  text-black">Xprimedex- Crypto Script</h5>
                        <center> <a href="http://localhost/fully_mine_store/buy-website-scripts/hulk" class="btn btn-lg mt-2" style="background-color:black; color;white;">BUY NOW N50,000  <i class="fa fa-down-to-bracket me-2"></i></a></a></center>
			
                    </div>
                </div>
            </div>
           
		   
		   
		   
		   
		    <div class="col-12 col-md-4 mt-4">
                <div class="card product-card position-relative">
                    <div id="imageSlider111" class="carousel slide slider-container" data-bs-ride="carousel">
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="http://localhost/fully_mine_store/web_shot/slide5.jpg" class="d-block w-100 " alt="Slide 1">
                    </div>
                    <div class="carousel-item">
                        <img src="http://localhost/fully_mine_store/web_shot/slide6.jpg" class="d-block w-100 " alt="Slide 2">
                    </div>
                   
                </div>
				
				<button class="carousel-control-prev" type="button" data-bs-target="#imageSlider111" data-bs-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Previous</span>
                </button>
                <button class="carousel-control-next" type="button" data-bs-target="#imageSlider111" data-bs-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Next</span>
                </button>
              
            </div>
                     <div class="card-body text-center">
                        <h5 class="card-title  text-black">Xprimedex- Crypto Script</h5>
                        <center> <a href="http://localhost/fully_mine_store/buy-website-scripts/hulk" class="btn btn-lg mt-2" style="background-color:black; color;white;">BUY NOW N50,000  <i class="fa fa-down-to-bracket me-2"></i></a></a></center>
			
                    </div>
                </div>
            </div>
		   
		   
		   
			
			<div class="my_btn" style="margin-top:45px;">
			<center> <a href="http://localhost/fully_mine_store/buy-website-scripts" class="btn btn-lg mt-4">LOAD MORE <i class="fa fa-right-to-bracket me-2"></i></a></center>
			  </div>
        </div>
    </div>
</div>













 <div class="hero55" style="background-color:#4747ff;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-md-6 first-column mt-5">
          
			
			<div class="caption">
			  <h1 class=" text-white">Join Our Academy!! </h1>
			
            <p class="mt-5 text-white">"Join our academy today and gain in-demand skills in Website Development, Graphics Design, Digital Marketing, Data Analysis, and Business Branding! Whether you want to build stunning websites, create captivating visuals, develop effective marketing strategies, or analyze data to drive business success, we provide hands-on training and expert guidance to help you master these essential fields."</p>
            <a href="http://localhost/fully_mine_store/onlineclass" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">KNOW MORE <i class="fa fa-right-to-bracket me-2"></i></a>
			</div>
        </div>
        <!-- Second Column -->
        <div class="col-md-6 second-column">
            <div class="carousel slide slider-container" data-bs-ride="carousel">
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="http://localhost/fully_mine_store/weeb/learn.jpg" class="d-block w-100 " alt="Slide 1">
                    </div>
                   
                  
                </div>
              
            </div>
        </div>
    </div>
</div>
</div>


<!-- Product Section -->
<div class="hero4" style="background-color:#4747ff;">
<marquee scrollamount="35">	<h1 class="text-white mt-2" style="font-size:11rem;">FUSIONXSPACE</h1></marquee>

 </div>  
  
   
   
   
   
   
   
   
   
   
   
   
   
   
   


<!-- Footer -->
<footer class="footer text-center">
    <div class="container">
        <p>&copy; 2024 Your E-Commerce Site. All rights reserved.</p>
        <p>Follow us on 
            <a href="#" class="text-white">Facebook</a>, 
            <a href="#" class="text-white">Twitter</a>, 
            <a href="#" class="text-white">Instagram</a>.
        </p>
    </div>
</footer>




  <!-- Bootstrap and Iconify -->

    

<script src="http://localhost/fully_mine_store/js/bootstrap.bundle.min.js"></script>


	
	
	
    <script src="https://code.iconify.design/iconify-icon/1.0.7/iconify-icon.min.js"></script>
    <script>
        let prevScrollPos = window.pageYOffset;
        const navbar = document.querySelector('.navbar');

        window.onscroll = () => {
            const currentScrollPos = window.pageYOffset;
            if (prevScrollPos > currentScrollPos) {
                navbar.classList.remove('navbar-hidden');
            } else {
                navbar.classList.add('navbar-hidden');
            }
            prevScrollPos = currentScrollPos;
        };
    </script>



<script>
    $(document).ready(function () {
        $(".owl-carousel").owlCarousel({
            loop: true,
            margin: 10,
            nav: true,
            responsive: {
                0: { items: 1 },
                600: { items: 1 },
                1000: { items: 3 }
            }
        });
    });
</script>


	
	
	  <script>
        // Update Cart Modal Content
        function updateCartModal() {
            $.post('', { action: 'get_cart' }, function (response) {
                const cart = JSON.parse(response);
                let content = '';

                if (cart.length === 0) {
                    content = '<p>Your cart is empty.</p>';
                } else {
                    let totalCost = 0;
                    cart.forEach((item, index) => {
                        totalCost += parseInt(item.price);
                        content += `
                            <div class="d-flex justify-content-between align-items-center mb-2">
                                <div>
                                    <img src="${item.image}" alt="${item.name}" style="width: 50px; height: 50px; margin-right: 10px;">
                                    ${item.name} - ₦${item.price}
                                </div>
                                <button class="btn btn-danger btn-sm remove-item-btn" data-index="${index}">X</button>
                            </div>`;
                    });
                    content += `<hr><h5>Total Cost: ₦${totalCost}</h5>`;
                }

                $('#cartContent').html(content);
            });
        }

        // Add to Cart Button Click
        $('.add-to-cart-btn').on('click', function () {
            const button = $(this);
            const spinner = button.find('.spinner-border');
            spinner.removeClass('d-none');
            button.prop('disabled', true);

            const productData = {
                action: 'add_to_cart',
                id: button.data('id'),
                name: button.data('name'),
                price: button.data('price'),
                image: button.data('image'),
            };

            $.post('', productData, function (response) {
                const data = JSON.parse(response);
                if (data.status === 'success') {
                    $('#cartCount').text(data.totalItems);
                    $('#notificationMessage').text('Product added to cart!');
                    $('#notification').fadeIn().delay(2000).fadeOut();
                    updateCartModal();
                }
            }).always(() => {
                spinner.addClass('d-none');
                button.prop('disabled', false);
            });
        });

        // Clear Cart Button
        $('#clearCartBtn').on('click', function () {
            $.post('', { action: 'clear_cart' }, function () {
                $('#cartCount').text(0);
                $('#notificationMessage').text('Cart cleared!');
                $('#notification').fadeIn().delay(2000).fadeOut();
                updateCartModal();
            });
        });

        // Remove Individual Item
        $(document).on('click', '.remove-item-btn', function () {
            const index = $(this).data('index');
            $.post('', { action: 'remove_item', index: index }, function () {
                $('#notificationMessage').text('Item removed from cart!');
                $('#notification').fadeIn().delay(2000).fadeOut();
                updateCartModal();
                $('#cartCount').text($('#cartContent .remove-item-btn').length - 1);
            });
        });

        // Load Modal Content Initially
        updateCartModal();
    </script>

</body>
</html>
