<?php
session_start();
// Include the database connection file
require_once '../db_connection.php';

// Query to fetch all products
$sql = "SELECT * FROM products LIMIT 3";
$stmt = $pdo->prepare($sql);
$stmt->execute();
$products = $stmt->fetchAll();









// Handle AJAX requests
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $action = $_POST['action'] ?? '';

    if ($action === 'add_to_cart') {
        $productId = $_POST['id'];
        $productName = $_POST['name'];
        $productPrice = $_POST['price'];
        $productImage = $_POST['image'];

        // Add product as individual item
        $_SESSION['cart'][] = [
            'id' => $productId,
            'name' => $productName,
            'price' => $productPrice,
            'image' => $productImage,
        ];

        $totalItems = count($_SESSION['cart']);
        echo json_encode(['status' => 'success', 'totalItems' => $totalItems]);
        exit;
    }

    if ($action === 'clear_cart') {
        $_SESSION['cart'] = [];
        echo json_encode(['status' => 'success']);
        exit;
    }

    if ($action === 'remove_item') {
        $index = $_POST['index'];
        if (isset($_SESSION['cart'][$index])) {
            unset($_SESSION['cart'][$index]);
            $_SESSION['cart'] = array_values($_SESSION['cart']); // Reindex
        }
        echo json_encode(['status' => 'success']);
        exit;
    }

    if ($action === 'get_cart') {
        echo json_encode($_SESSION['cart'] ?? []);
        exit;
    }
}






?>




<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>E-Commerce Homepage</title>
    <!-- Bootstrap CSS -->
	

<link rel="stylesheet" type="text/css" href="http://localhost/fully_mine_store/css2/style.css">
	
    <link href="http://localhost/fully_mine_store/css2/bootstrap.min.css" rel="stylesheet">
	

	<!-- Owl Carousel CSS -->
<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/owl.carousel.min.css">
<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/owl.theme.default.min.css">


<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/google-fonts-anton-roboto.css">
<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/google-fonts-poppins.css">




<!-- jQuery -->
<script src="http://localhost/fully_mine_store/js/jquery.min.js"></script>

<!-- Owl Carousel JS -->
<script src="http://localhost/fully_mine_store/js/owl.carousel.min.js"></script>


<link href="http://localhost/fully_mine_store/css2/all.min.css" rel="stylesheet">

<link href="http://localhost/fully_mine_store/css2/alpha/bootstrap.min.css" rel="stylesheet">




     <style>
        body {
         font-family: "Anton", serif; /* Use the custom font */
		
        }
		
		p {
   font-size: 1.2rem;
	 
  font-family: "Roboto", serif;
  font-weight: 350;
  text-transform:title-case;
  
 
 
}


        .navbar {

            transition: top 0.3s;
			  background-color:#4747ff;
        }

        .navbar-hidden {
            top: -70px; /* Adjust based on your navbar height */
        }

        .navbar-brand {
            font-weight:;
        }

        .nav-link {
            font-size: 1rem;
            font-weight: ;
            color: white;
			text-transform:uppercase;
			
        }

        .nav-link:hover {
            color: #007bff;
        }

        .icon-badge {
            position: absolute;
            top: -5px;
            right: -10px;
            background: #dc3545;
            color: white;
            font-size: 0.75rem;
            padding: 2px 6px;
            border-radius: 50%;
        }
		
		
		
			@media (max-width: 767px) {
   .nav-link {
            font-size: 1rem;
            font-weight: bold;
            color: black;
			text-transform:uppercase;
			
        }
		
		#nav_not_to_show {
           display:none;
			
        }
		
		
}

		
		
		.alert-auto-hide {
            position: fixed;
            top: 20px;
            right: 20px;
            z-index: 1055;
            display: none;
        }
		
		
    </style>
	
	 
	
   
</head>
<body>

 
   <div class="alert alert-success alert-dismissible fade show alert-auto-hide" id="notification" role="alert">
            <span id="notificationMessage"></span>
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
 
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-light fixed-top">
        <div class="container mt-2">
		
		  <!-- Toggle Button -->
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
		
		
            <!-- Logo -->
            <a class="navbar-brand mx-auto text-white" href="#"><i class="fa fa-globe me-2"></i>FUSIONXSPACE</a>
			
			 <ul class="navbar-nav me-2 d-md-none">
					<li class="nav-item">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSearch">
                            <iconify-icon icon="tabler:search" class="fs-4"></iconify-icon>
                        </a>
                    </li>
						
			</ul>	

           <ul class="navbar-nav me-2 d-md-none">
					
					
					 <li class="nav-item position-relative">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasCart">
                            <iconify-icon icon="mdi:cart" class="fs-4"></iconify-icon>
                            <span class="icon-badge"></span>
                        </a>
                    </li>
				</ul>	
			

            <!-- Navbar Items -->
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mx-auto">
                    <li class="nav-item me-3"><a class="nav-link" href="http://localhost/fully_mine_store/">Home</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Shop</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">About</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Contact</a></li>
					 <li class="nav-item me-3"><a class="nav-link" href="#">About</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Contact</a></li>
                </ul>
				
				<div class="my_btn d-md-none" >
			<center> <a href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasProfile" class="btn btn-lg mt-4">LOGIN </a></center>
			  </div>
				
				<div id="nav_not_to_show">
				 <!-- Right Icons -->
                <ul class="navbar-nav ms-auto">
                    <!-- Search Icon -->
                    <li class="nav-item">
                        <a class="nav-link">
                            <iconify-icon icon="tabler:search" class="fs-4"></iconify-icon>
                        </a>
                    </li>
                    <!-- Cart Icon -->
                    <li class="nav-item position-relative">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasCart">
                            <iconify-icon icon="mdi:cart" class="fs-4"></iconify-icon>
                            <span class="icon-badge"></span>
                        </a>
                    </li>
                    <!-- Profile Icon -->
                    <li class="nav-item">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasProfile">
                            <iconify-icon icon="healthicons:person" class="fs-4"></iconify-icon>
                        </a>
                    </li>
                </ul>
				</div>
				
				
               
            </div>
        </div>
    </nav>

    <!-- Offcanvas Search -->
    <div class="offcanvas offcanvas-end" id="offcanvasSearch">
        <div class="offcanvas-header">
            <h5>Services</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
		
		
		
       
 <div class="hero5_after">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-12 first-column mt-5" style="margin:1px;">
           
			
			<div class="caption w-80 " >
			 <h1>About Fusionxspace</h1>
            <p class="mt-1 ">“Fusionxspace is a premier Web and Media Agency our mission is to empower businesses and individuals by delivering cutting-edge digital solutions. We specialize in web development, graphic design, animation, branding, and digital marketing to help you connect with your audience, tell your story, and achieve your goals”
</p>

 <a  href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSearch" class="btn btn-outline-light btn-lg mt-1">Explore Services</a>
			
          
			</div>
        </div>
      <!-- Second Column -->
       
    </div>
	
	</div>
		
		</div>
        </div>
		
		
		
		
		
		
		
		
		
    </div>
	
	
	
	
	
	
	

    <!-- Offcanvas Cart -->
    <div class="offcanvas offcanvas-end" id="offcanvasCart">
        <div class="offcanvas-header">
            <h5>Your Cart</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <ul class="list-group">
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 1</span>
                    <span>$10</span>
                </li>
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 2</span>
                    <span>$15</span>
                </li>
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 3</span>
                    <span>$25</span>
                </li>
            </ul>
            <hr>
            <div class="d-flex justify-content-between">
                <strong>Total: $50</strong>
                <button class="btn btn-primary">Checkout</button>
            </div>
        </div>
    </div>

    <!-- Offcanvas Profile -->
    <div class="offcanvas offcanvas-end" id="offcanvasProfile">
        <div class="offcanvas-header">
            <h5>Profile</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <form>
                <div class="mb-3">
                    <label for="email" class="form-label">Email</label>
                    <input type="email" id="email" class="form-control" placeholder="Enter your email">
                </div>
                <div class="mb-3">
                    <label for="password" class="form-label">Password</label>
                    <input type="password" id="password" class="form-control" placeholder="Enter your password">
                </div>
                <button type="submit" class="btn btn-primary w-100">Login</button>
            </form>
        </div>
    </div>





  
<div class="hero1" style="background-color:#4747ff;">
  <div class="container">
  <br> <br> <br>
    <div class="row">
	
	
      <!-- Text Column -->
      <div class="col-md-6">
	  <div class="cover" style="margin-left:25px;">
        <h1 class="text-white" style="font-size:3.5rem; margin-top:85px;">Join Our Academy!!</h1>
        <p class="text-white" >Gain in-demand skills in Website Development, Graphics Design, Digital Marketing, Data Analysis, and Business Branding!</p>
		 <a href="#courses-we-offer" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white; border-radius:0px">OUR COURSES <i class="fa fa-right-to-bracket me-2"></i></a>
		 </div>
      </div>
      <!-- Image Column -->
      <div class="col-md-6 mt-5 mb-5">
        <img src="http://localhost/fully_mine_store/images/academy-photo/1.jpg" class="img-fluid" alt="Placeholder Image" style="width:455px;">
      </div>
    </div>
  </div>
   </div>
   
   
   
   
<!-- Product Section -->
<div class="hero4" style="background-color:#4747ff;">
<marquee scrollamount="35">	<h1 class="text-white mt-2" style="font-size:11rem;">ONLINE CLASSES</h1></marquee>

 </div>  

   
   

<div class="hero7" style="background-color:#4747ff; margin-top:-15px; border-top:1px solid white;">
    <div class="container">
	
	<br><br><br>
	        <h2 class="text-center mb-4">Courses We Offer </h2>
	<p class="mt-1 text-center " id="courses-we-offer">Click on the learn more button below know more about the course you're interested in</p>
			
        <div class="row mb-5">
            <!-- Product Card -->
             
            <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">1 - Web Development</h5>
				<p class="mt-1 fs-6  text-center">Learn how to build dynamic, secured, and responsive websites using modern coding languages like HTML, CSS, JavaScript, Php and more.</p>
				</div>
				   <i class="fa fa-magnifying-glass text-white text-center mt-5 mb-5" style="font-size:3.5rem;"></i>
				   
				   <center> <a href="http://localhost/fully_mine_store/learn-website-development.php" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">LEARN MORE <i class="fa fa-right-to-bracket me-2"></i></a> </center>

				</div>
			
			 </div>
			 
			  <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">2 - Graphics Design</h5>
				<p class="mt-1 fs-6  text-center">Master the art of visual communication by creating stunning graphics, logos, and layouts with industry-standard tools like Adobe Photoshop and Illustrator.</p>
				</div>
				   
				   <i class="fa fa-globe text-white text-center mt-5 mb-5" style="font-size:3.5rem;"></i>
				   
				   
				   <center> <a href="http://localhost/onlineclass/learn-graphics-design" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">LEARN MORE <i class="fa fa-right-to-bracket me-2"></i></a> </center>
				</div>
			
			 </div>
			 
			 
			   <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">3 - Digital Marketing</h5>
				<p class="mt-1 fs-6  text-center"> Gain expertise in promoting brands and products online through strategies such as SEO, social media marketing, and email campaigns. </p>
				</div>
				    <i class="fa fa-image text-white text-center mt-5 mb-5" style="font-size:3.5rem;"></i>
					
					<center> <a href="http://localhost/onlineclass/learn-digital-marketing" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">LEARN MORE <i class="fa fa-right-to-bracket me-2"></i></a> </center>
				</div>
			
			 </div>
			 
			 
			 
			    <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">4 - Animation Design</h5>
				<p class="mt-1 fs-6  text-center">Dive into the world of motion graphics and 3D animation, learning how to create engaging visual stories for media, advertising, and entertainment.</p>
				</div>
				    <i class="fa fa-wand-magic-sparkles text-white text-center mt-5 mb-5" style="font-size:3.5rem;"></i>
					
					<center> <a href="http://localhost/onlineclass/learn-animation-design" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">LEARN MORE <i class="fa fa-right-to-bracket me-2"></i></a> </center>
					
				</div>
			
			 </div>
			 
		   
		      <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">5 - Data Analysis</h5>
				<p class="mt-1 fs-6  text-center">Develop the skills to analyze and interpret complex data for individuals and businesses, making informed decisions using tools like Excel, Python, and R.</p>
				</div>
				    <i class="fa fa-gears text-white text-center mt-5 mb-5" style="font-size:3.5rem;"></i>
					<center> <a href="http://localhost/onlineclass/learn-data-analysis" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">LEARN MORE <i class="fa fa-right-to-bracket me-2"></i></a> </center>
					
				</div>
			
			 </div>
		   
            <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">6 - Ai Implementation</h5>
				<p class="mt-1 fs-6  text-center">Explore the fascinating field of Artificial Intelligence and learn how to apply machine learning algorithms and AI tools to solve real-world problems.</p>
				</div>
				    <i class="fa fa-handshake text-white text-center mt-5 mb-5" style="font-size:3.5rem;"></i>
					
					
					<center> <a href="http://localhost/onlineclass/learn-ai" title="build website" class="btn btn-lg mt-5 text-white" style="border:2px solid white;">LEARN MORE <i class="fa fa-right-to-bracket me-2"></i></a> </center>
			</div>
					
				</div>
			
			 </div>
			
			
			
		
        </div>
		
		<br><br><br><br>
		
    </div>
</div>






 <div class="hero55" style="background-color:black; margin-top:-55px; border-top:2px solid white;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-md-6 first-column mt-5">
          
			
			<div class="caption">
			  <h1 class=" text-white">The More You Learn The More You Earn </h1>
			
            <p class="mt-3 p-2 text-white">
Acquiring new skills enhances your expertise, making you more valuable in the job market. Each course you take unlocks new opportunities and potential for growth in your career.</p>
            <a href="#courses-we-offer" title="our-courses" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">LEARN NOW <i class="fa fa-up-to-bracket me-2"></i></a>
			</div>
        </div>
        <!-- Second Column -->
        <div class="col-md-6 second-column">
            <div class="carousel slide slider-container" data-bs-ride="carousel">
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="http://localhost/fully_mine_store/images/academy-photo/111.jpg" class="d-block w-100 " alt="graphics-academy">
                    </div>
                   
                  
                </div>
              
            </div>
        </div>
    </div>
</div>
</div>









<!-- Product Section -->
<div class="hero4 bg-black">
<marquee scrollamount="35">	<h1 class="text-white mt-2" style="font-size:11rem;">LEARN - EARN</h1></marquee>

 </div> 
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   
   


<!-- Footer -->
<footer class="footer text-center">
    <div class="container">
        <p>&copy; 2024 Your E-Commerce Site. All rights reserved.</p>
        <p>Follow us on 
            <a href="#" class="text-white">Facebook</a>, 
            <a href="#" class="text-white">Twitter</a>, 
            <a href="#" class="text-white">Instagram</a>.
        </p>
    </div>
</footer>




  <!-- Bootstrap and Iconify -->

    

<script src="http://localhost/fully_mine_store/js/bootstrap.bundle.min.js"></script>


	
	
	
    <script src="https://code.iconify.design/iconify-icon/1.0.7/iconify-icon.min.js"></script>
    <script>
        let prevScrollPos = window.pageYOffset;
        const navbar = document.querySelector('.navbar');

        window.onscroll = () => {
            const currentScrollPos = window.pageYOffset;
            if (prevScrollPos > currentScrollPos) {
                navbar.classList.remove('navbar-hidden');
            } else {
                navbar.classList.add('navbar-hidden');
            }
            prevScrollPos = currentScrollPos;
        };
    </script>



<script>
    $(document).ready(function () {
        $(".owl-carousel").owlCarousel({
            loop: true,
            margin: 10,
            nav: true,
            responsive: {
                0: { items: 1 },
                600: { items: 1 },
                1000: { items: 3 }
            }
        });
    });
</script>


	
	
	  <script>
        // Update Cart Modal Content
        function updateCartModal() {
            $.post('', { action: 'get_cart' }, function (response) {
                const cart = JSON.parse(response);
                let content = '';

                if (cart.length === 0) {
                    content = '<p>Your cart is empty.</p>';
                } else {
                    let totalCost = 0;
                    cart.forEach((item, index) => {
                        totalCost += parseInt(item.price);
                        content += `
                            <div class="d-flex justify-content-between align-items-center mb-2">
                                <div>
                                    <img src="${item.image}" alt="${item.name}" style="width: 50px; height: 50px; margin-right: 10px;">
                                    ${item.name} - ₦${item.price}
                                </div>
                                <button class="btn btn-danger btn-sm remove-item-btn" data-index="${index}">X</button>
                            </div>`;
                    });
                    content += `<hr><h5>Total Cost: ₦${totalCost}</h5>`;
                }

                $('#cartContent').html(content);
            });
        }

        // Add to Cart Button Click
        $('.add-to-cart-btn').on('click', function () {
            const button = $(this);
            const spinner = button.find('.spinner-border');
            spinner.removeClass('d-none');
            button.prop('disabled', true);

            const productData = {
                action: 'add_to_cart',
                id: button.data('id'),
                name: button.data('name'),
                price: button.data('price'),
                image: button.data('image'),
            };

            $.post('', productData, function (response) {
                const data = JSON.parse(response);
                if (data.status === 'success') {
                    $('#cartCount').text(data.totalItems);
                    $('#notificationMessage').text('Product added to cart!');
                    $('#notification').fadeIn().delay(2000).fadeOut();
                    updateCartModal();
                }
            }).always(() => {
                spinner.addClass('d-none');
                button.prop('disabled', false);
            });
        });

        // Clear Cart Button
        $('#clearCartBtn').on('click', function () {
            $.post('', { action: 'clear_cart' }, function () {
                $('#cartCount').text(0);
                $('#notificationMessage').text('Cart cleared!');
                $('#notification').fadeIn().delay(2000).fadeOut();
                updateCartModal();
            });
        });

        // Remove Individual Item
        $(document).on('click', '.remove-item-btn', function () {
            const index = $(this).data('index');
            $.post('', { action: 'remove_item', index: index }, function () {
                $('#notificationMessage').text('Item removed from cart!');
                $('#notification').fadeIn().delay(2000).fadeOut();
                updateCartModal();
                $('#cartCount').text($('#cartContent .remove-item-btn').length - 1);
            });
        });

        // Load Modal Content Initially
        updateCartModal();
    </script>

</body>
</html>
